 %==== INIZIO ==============================
 %                  come evitare il ciclo for
 %-----------------------------------------------------------------
	clear;
	clc
% il modo tradizionale e'	
% ---------------------------	
	for k = 1:0.4:6 
		x(k) = sin(k*0.3); 
	end
% ---------------------------	
	x'

% Per evitare il ciclo "for"   
% si costruisce il VETTORE  k = [1:6];
	k = [1:6]'; % vettore colonna: notare l'apice 
% quindi si calcola il vettore "x" con una delle seguenti due forme:
% prima forma
  	z(k) 	= sin(k*0.3);  %  costruisce un vettore riga (perche' ?)
 	z'  % vettore colonna
% seconda forma 	
	y 	= sin(k*0.3); 	% vettore colonna 
	y	% vettore colonna
% ---------------------------	
	k = [1:0.4:6]';
	y 	= sin(k*0.3);
% ---------------------------
%----------------------------------------------------------------------
% altro esempio. Costruzione dei vertici di un poligono regolare
	n=3; % numero dei vertici
	a = 2*pi/n; % angolo	
% il modo tradizionale e'	
	for k=1:n
 		A(k , 1) = k;
		A(k , 2) =  10*cos(k*a-a);
		A(k , 3) =  10*sin(k*a-a); 
 	end
 	fprintf ( 1,'%i\n', n ); 
     	fprintf ( 1,'%3i\t  %5g\t  %5g\t \n',  A' );
% invece di usare il "for" si puo' scrivere
 	k=[1:n]' ; % vettore colonna 
 	C(k , 1) = k;  
 	C(k , 2) = 10*cos(k*a-a);   
 	C(k , 3) = 10*sin(k*a-a);   
	C
%============================= FINE =======
   	 
 
 
