
%   Lissajous
% Il programma mostra la composizione di due moti armonici 
% ad angolo retto.

  %	-------------------------------------------------------------- 
%					seleziona modalita' grafiche 
%	-------------------------------------------------------------- 
% 	chiudi finestra grafica precedente	
	close		
% 	apre una finestra grafica di dimensioni volute
	h1 = figure(1); 	
 %	set(h1, 'Units', 'normalized', 'Position', [0 0.5 0.45 0.5]);
	set(h1, 'Units', 'normalized', 'Position', [0 0  1  0.96]);
% 	colore di fondo
	whitebg(h1, 'black')
% 	colore della cornice
%  	set (gcf,'Color',[0.90	0.60	0.30]) % dopo "whitebg"
%	assi di dimensioni volute
		axis([-8 8 -7 7])  % [xmin xmax ymin ymax]
%	"hold on" consente piu' tracciamenti sulla stessa finestra
	hold on; axis on
%	-------------------------------------------------------------- 

	f1=6; %frequenza della oscillazione orizzontale in hertz (Hz)
	f2=18; %%frequenza della oscillazione verticale in hertz (Hz)
	sfasamento=25*pi/180;
	w1=2*pi*f1; % frequenza angolare del moto orizzontale	
	w2=2*pi*f2; 
	a=6;
    b=4;
	% valori iniziali 
    xv=a*sin(w1*0);		
    yv=b*sin(w2*0+sfasamento);
    line([xv  xv],[-7  7],'color','c','era','xor');
	line([-8  +8],[yv  yv],'color','g','era','xor');
	%
for t=0:0.001:20;
	  xn=a*sin(w1*t);		
      yn=b*sin(w2*t+sfasamento);
      line([xv  xv],[-7  7],'color','c','era','xor');  % cancella vecchio
      line([xn  xn],[-7  7],'color','c','era','xor');  % traccia nuovo
      line([-8  +8],[yv  yv],'color','g','era','xor'); % cancella vecchio
      line([-8  +8],[yn  yn],'color','g','era','xor'); % traccia nuovo
      plot(xn,yn,'y.','era','back'); % traccia il punto intersezione
      xv=xn;
      yv=yn;
	  pause(0.1);
	end

	
