%   zz
	clear 	% azzera le variabili in memoria
	clc		% pulisci finestra di testo
	close	% chiudi eventuale finestra grafica precedente	
%	-------------------------------------------------------------- 
%		seleziona modalita' grafiche 
%	-------------------------------------------------------------- 
	h1 = figure(1); 	% 	apre una finestra grafica di dimensioni volute
% 	(sinistra  basso larghezza  altezza]
%	set(h1, 'Units', 'normalized', 'Position', [0.5 0.5 0.5 0.5]);
	set(h1, 'Units', 'normalized', 'Position', [0 0  1  0.96]);
 % 	whitebg(h1, 'white')  % 	colore di fondo
  	whitebg(h1, 'black')  % 	colore di fondo

%	assi di dimensioni volute
	axis([0 100 0 100 0 100]); % (xmin xmax ymin ymax]
	hold on %consente piu' tracciamenti sulla stessa finestra
 	axis on; rotate3d
	view(131, 22) % posizione osservatore (azimut, elevazione)
 	xlabel('x');	ylabel('y');	zlabel('z');
%	-------------------------------------------------------------- 
 %	assegna fattori di scala
		sf = 1;
		sm = 0.07;
		n=3;
% 	parallelepipedo di lati 10,40,20
%	asse z verticale   
%	I faccia sul piano x-y 
	x=[0  30  30  0  0 ];
	y=[0  0  40  40  0];
	z=[0  0  0  0  0];
	fill3(x,y,z,'g','edgecolor','c');   
%	II faccia parallela al piano x-y 
	x=[0  30  30  0  0 ];
	y=[0  0  40  40  0];
	z=[20  20  20  20  20];
	fill3(x,y,z,'g','edgecolor','c');   
 %	I faccia sul piano x-z 
	x=[0  0  30  30  0];
	y=[0  0  0  0  0];
	z=[0  20  20  0  0 ];
	fill3(x,y,z,'c','edgecolor','c');  
%	II faccia parallela al piano x-z 
	x=[0  0  30  30  0];
	y=[40  40  40  40  40];
	z=[0  20  20  0  0 ];
 	fill3(x,y,z,'c','edgecolor','c');   
 %	I faccia sul piano y-z 
	x=[0  0  0  0  0];
	y=[0  0  40  40  0];
	z=[0  20  20  0  0 ];
	fill3(x,y,z,'b','edgecolor','c');   
%	II faccia parallela al piano y-z 
	x=[30  30  30  30  30];
	y=[0  0  40  40  0];
	z=[0  20  20  0  0 ];
 	fill3(x,y,z,'b','edgecolor','c');  
%   --------------------------------------------------------
%    Si assegnano i punti di applicazione e le forze
     	x(1) = 0;		y(1) = 40;	z(1) = 20;
  	Fx(1) = 0;	Fy(1) = 0;	Fz(1) = 20;	% in newton
%	
     	x(2) = 30;	y(2) = 40;	z(2) = 0;
  	Fx(2) = 20;	Fy(2) = 0;	Fz(2) = 0;	% in newton
%
     	x(3) = 30;	y(3) = 0;		z(3) = 20;
  	Fx(3) = 0;	Fy(3) = -20;	Fz(3) = 0;	% in newton
%	punte dei vettori
  	for k =1:n
    	xx(k) = x(k)+Fx(k)*sf;	
		yy(k) = y(k)+Fy(k)*sf;
		zz(k) = z(k)+Fz(k)*sf;
		line([x(k) xx(k)],[y(k)	yy(k)],[z(k)	zz(k)],'color','r','linewidth',2)
		f_pallina3D(x(k) ,y(k), z(k), 1, 'r' ,'r')
 	end; 
%    --------------------------------------------------------
%	Risultante 
	Rx = 0;	Ry = 0;	Rz = 0;
	for k = 1:n
  		Rx = Rx + Fx(k);
  		Ry = Ry + Fy(k);
  		Rz = Rz + Fz(k);
	end 
% 	--------------------------------------------------------
%	MomentoOrigine
	Mx = 0;	My = 0;	Mz = 0; 
 	for k=1:n
 		Mx = Mx + y(k) * Fz(k) - z(k) * Fy(k);
  		My = My + z(k) * Fx(k) - x(k) * Fz(k);
 		Mz = Mz + x(k) * Fy(k) - y(k) * Fx(k);
	end
%  --------------------------------------------------------
%  	invariante scalare
	I = Mx * Rx + My * Ry + Mz * Rz;
%  	---------------------------------------------------------
% 	AsseCentrale 
% 	Calcola le coordinate del punto T dell'asse centrale. 
%	Quadrato del modulo della risultante
	R2 = Rx * Rx + Ry * Ry + Rz * Rz;
%   punto S dell'asse centrale: (T-O)=R x M / R2 + s R
	xT = (Ry * Mz - Rz * My) / R2;
	yT = (Rz * Mx - Rx * Mz) / R2;
	zT = (Rx * My - Ry * Mx) / R2;
	s=2;
	xS = xT + s* Rx*sf;
	yS = yT + s* Ry*sf;
	zS = zT + s* Rz*sf;

%  	---------------------------------------------------------
% 	traccia risultante nel polo  Q   
	xQ=xS;		yQ=yS;		zQ=zS;
%	xQ=60;		yQ=0;		zQ=20;
%  	xQ=x(1);		yQ=y(1);		zQ=z(1);
	f_pallina3D(xQ, yQ, zQ, 1, 'r' ,'r')
	xR=xQ+Rx*sf;
	yR=yQ+Ry*sf;
	zR=zQ+Rz*sf;
 	line([xQ   xR],[yQ	yR],[zQ	zR],'color','r','linewidth',2)
%  	---------------------------------------------------------
%    Calcola e traccia il momento rispetto al polo Q
%	il segno meno e' dovuto alla scrittura (Q-O) invece di (O-Q)
  	MQx = Mx - (yQ * Rz - zQ * Ry);
 	MQy = My - (zQ * Rx - xQ * Rz);
 	MQz = Mz - (xQ * Ry - yQ * Rx);
%	Calcola la punta del vettore momento
	xx = xQ + MQx* sm;
	yy = yQ + MQy* sm;
	zz = zQ + MQz* sm;
 	f_pallina3D(xQ, yQ, zQ, 1, 'y' ,'y')
 	line([xQ   xx],[yQ  yy],[zQ  zz],'color','k','linewidth',2)
% 	traccia ASSE CENTRALE
	s=-3;
	xA = xT + s* Rx*sf;
	yA = yT + s* Ry*sf;
	zA = zT + s* Rz*sf;

	s=+3;
	xB = xT + s* Rx*sf;
	yB = yT + s* Ry*sf;
	zB = zT + s* Rz*sf;

 	line([xA   xB],[yA	yB],[zA	zB],'color','y','linewidth',1,'linestyle',':')

 
