%	-------------------------------------------------------------- 
%   		battimenti
%						 
%	-------------------------------------------------------------- 
	clear 	% azzera le variabili in memoria
	clc		% pulisci finestra di testo
%	-------------------------------------------------------------- 
%					seleziona modalita' grafica 
%	-------------------------------------------------------------- 
% 	chiudi finestra grafica precedente	
clear all
	close		
% 	apre una finestra grafica di dimensioni volute
	h1 = figure(1); 	
% 	posizione in pixels:  [x-origine finestra,y-origine finestra, lunghezza, altezza]
 %	set(h1, 'Units', 'normalized', 'Position', [0.5 0.5 0.45 0.5]);
	set(h1, 'Units', 'normalized', 'Position', [0 0  1  0.96]);
% 	colore di fondo
  	whitebg(h1, 'black')
	 h2=title('battimenti');
	set(h2,'color','yellow','fontsize',18)
% 	didascalie assi
	h3=xlabel('tempo');
	set(h3,'color','green','fontsize',12)
%	h4=ylabel('fattore di amplificazione');
%	set(h4,'color','green','fontsize',12)
 
 
% 	colore della cornice
%  	set (gcf,'Color',[0.90	0.60	0.30]) % dopo "whitebg"
%	assi di dimensioni volute
 	axis([0 10 -7 5] );  % [xmin xmax ymin ymax]
%	"hold on" consente piu' tracciamenti sulla stessa finestra
	hold on; pause on
%	-------------------------------------------------------------- 
%					traccia i grafici
%	-------------------------------------------------------------- 
%	crea il vettore dei tempi
	a=3; b=-4; % posiziona assi delle ascisse dei tre diagrammi 
 	T=0 : 0.01 : 10;	
	w1=28; 					% prima pulsazione
	w2=27; 					% seconda pulsazione
	U=sin(w1*T); 			% primo moto sinusoidale
	V=cos(w2*T); 			% secondo moto sinusoidale
	W=U+V; 					% sovrapposizione 
	plot(T,U+a,'cyan'); 		% traccia primo moto
 	plot(T,V,'green'); 			% traccia secondo moto
 	plot(T,W+b,'y','era','back'); % traccia  moto risultante
%	-------------------------------------------------------------- 
%					linee
%	-------------------------------------------------------------- 
  	line([0  10],[0 0],'color','r');
 	line([0  10],[a a],'color','r');
 	line([0  10],[b b],'color','r');
  	n=size(T,2);
	p=24;
  	for k=(p+1) : p: n		
   		line([T(k-p)  T(k-p) ],[a  U(k-p)+a],'color', 'c','era','back','era','xor','linewidth',2); 
		line([T(k)  T(k) ],[a  U(k)+a],'color', 'c','era','back','era','xor','linewidth',2);  
   		line([T(k-p)  T(k-p) ],[0  V(k-p)],'color', 'g','era','back','era','xor','linewidth',2); 
		line([T(k)  T(k) ],[0 V(k)],'color', 'g','era','back','era','xor','linewidth',2);  
  		line([T(k-p)  T(k-p) ],[b  W(k-p)+b],'color', 'y','era','back','era','xor','linewidth',2); 
		line([T(k)  T(k) ],[b  W(k)+b],'color', 'y','era','back','era','xor','linewidth',2);  
		plot(T(k-p),W(k-p)+b,'y*','era','back','era','xor','linewidth',2); 
		plot(T(k),W(k)+b,'y*','era','back','era','xor','linewidth',2);
 		pause 
  	end	
 
