% centroide.m

% si mostra che il baricentro di un poligono (in questo caso un quadrilatero)
% NON coincide col baricentro di quattro masse uguali poste
% nei suoi vertici, contrariamente a quello che avviene per un triangolo.
	clc
% assegnati quattro punti A,B,C;D
	xA=0; yA=0;
	xB=9; yB=0;
	xC=8; yC=8;
	xD=0; yD=8;

	S=[1 xA yA;  1 xB yB; 1 xC yC];
	T=[1 xA yA;  1 xC yC; 1 xD yD];
% aree
	ABC=det(S)/2;  ACD=det(T)/2;

% baricentri dei triangoli ABC e ACD
	xP=(xA+xB+xC)/3;  yP=(yA+yB+yC)/3;  
	xQ=(xA+xC+xD)/3;  yQ=(yA+yC+yD)/3; 
 
	xM=(xP*ABC+xQ*ACD)/(ABC+ACD) 
	yM=(yP*ABC+yQ*ACD)/(ABC+ACD) 

 	xxM=(xA+xB+xC+xD)/4
 	yyM=(yA+yB+yC+yD)/4 
