%========================================================= 
%       	campo di direzioni
%---------------------------------------------------------
%  Data una equazione differenziale del primo ordine
% in forma normale, y'=f(x,y) e considerati i nodi
% di un reticolo, si traccia in ciascuno di essi
% la direzione della tangente alla linea passante per
% il punto.
	clear  	% azzera la memoria
	clc   		% pulisci la finestra comandi
 	close	% chiudi una precedente figura
	figure	% apri finestra grafica
	hold on	% indispensabile quando si devono fare 
			% tanti tracciamenti
		
% Assegnamo gli estremi dell'intervallo in x ed y 
% nonche' il passo del reticolo in x ed y.
	xi=0.2;   xf=8 ; yi=0;  yf=9;  dx=0.8;   dy=0.8;
% Costruiamo un reticolo di punti 
 	X=xi:dx:xf; 	ni=size(X,2); 	
	Y= yi:dy:yf;  	nj=size(Y,2);
	
	p=0.2;  % semilunghezza trattini
	for j=1:nj;   
	 for i=1:ni
 	   g =f_funz(X(i),Y(j)); 	
	   ca=p*1/sqrt(1+g*g); % coseno dell'angolo*p
	   sa=p*g/sqrt(1+g*g); % seno dell'angolo*p 
	   x1=X(i)-ca ; y1=Y(j)-sa;
	   x2=X(i)+ca ; y2=Y(j)+sa;
	   linea(x1,y1,x2,y2,'y',0.5)
	   plot(X(i),Y(j),'c.','era','back','linewidth',3)
	 end;  
	end

%========================================================= 
