%	====================================================
%			       dueAste 
%	====================================================
%  	Visualizza le posizioni di equilibrio di due aste AC e CB di uguale lunghezza L
%	incernierate fra loro in C. L'estremo A e' incernierato a terra mentre l'estremo B
%	e' scorrevole lungo l'asse delle ascisse.
% 	 -------------------------------------------------------
%		ATTIVA  GRAFICA
% 	 -------------------------------------------------------
	close ; clc; clear all
	h1 = figure(1) ; 	
%	set(h1, 'Units', 'normalized', 'Position', [0  0  1  1]) ; 
	set(h1, 'Units', 'normalized', 'Position', [0.5  0.5  0.5  0.5]) ; 
  	whitebg(h1, 'black')
	hold on ;  pause off ; 
%	axis([-2  18 0 9] );  % [xmin xmax ymin ymax]
	axis equal ;    
% 	 -------------------------------------------------------
%		DATI
% 	 -------------------------------------------------------
	L = 98;		% lunghezza asta in cm
	P = 0.1;		% peso dell'asta in N
	a = 0.5*L;	%  
	k = 2.1;		% costante molla N/cm
	s0 = 51;		% lunghezza molla a riposo in cm
	x0=L/a*s0;	% minima ascissa del punto B
 	N = 20;		% suddivisione intervallo
	p = (2*L-x0)/N;	% passo 
 	fs =  0.05; 	% fattore di scala per le forze
% 	 -------------------------------------------------------
%		TRACCIA
% 	 -------------------------------------------------------
	line([0  2.3*L ],[0  0],'color','c');  	% asse orizzontale
	line([0  0 ],[0  1.4*L],'color','c');  	% asse verticale
%
	for x = x0 :L/6: (2*L)
%		traccia asta
		xA =0;	 	yA=0;	 	
		xC=x/2;		yC=sqrt(L*L-(x/2)^2);
		xB=x;		yB=0;
		plot(0,0,'yo' , 'era' , 'back');
		plot([xA  xC] , [yA  yC] , 'color' , 'y' , 'linewidth' , 1 , 'era' , 'back');
		plot(xC,yC,'yo' , 'era' , 'back');
 		plot([xC  xB] , [yC  yB] , 'color' , 'y' , 'linewidth' , 1 , 'era' , 'back');
 		pause
	end
%  	 ------------------------------------------------- fine 
 
