% equilibrio
% Mostra la posizione di equilibrio di una matita 
% in un contenitore e le possibili posizioni del  suo baricentro
%
%
	clear all; clc;	
%	---------------------------------------
%	 dati 
%	---------------------------------------
	b=10; 	% b=base
	h=15;	% h=altezza
	am=0.7;	% Lam=angolo massimo
	
%	---------------------------------------
%	----------modalit grafica--------------
	close ; h1 = figure(1) ; 	
%	set(h1, 'Units', 'normalized', 'Position', [0  0  1  1]) ; 
	set(h1, 'Units', 'normalized', 'Position', [0.5  0.5  0.45  0.45]) ; 
	hold on ; zoom on ; pause on;
%	axis equal ; axis([-5  5  -5  5]);
	whitebg(h1,'white')
 	axis off
	axis equal
%	---------------------------------------
	line([0  0],[0  15],'color','k','linewidth',2)
	line([0  b],[0  0],'color','k','linewidth',2)
	line([b  b],[0  h],'color','k','linewidth',2)
	line([0  b],[h  h],'color','k','linewidth',2)
%	---------------------------------------
 
	for a=0:0.05:am
 		xA= b*cos(a); yA= b*sin(a);
		xB= xA-h*sin(a); yB=yA+h*cos(a);
		xC= xB-xA; yC=yB-yA;
		xD= 0; yD=0;
		if a==0.2 | a==0.4
		line([0  xA],[0  yA],'color','k')
		line([xA  xB],[yA  yB],'color','k')
		line([xB  xC],[yB  yC],'color','k')
		line([xC  0],[yC  0],'color','k')
		end
		xG=b/2*cos(a)-h/2*sin(a);yG=b/2*sin(a)+h/2*cos(a);
 		f_pallina(xG,yG,0.1,'k')
	end
	for a=0:0.05:am
 		xA= b-b*cos(a); yA= b*sin(a);
		xB= xA+h*sin(a); yB=yA+h*cos(a);
		xC= xB+b*cos(a); yC=yB-yA;
		xD= b; yD=0;
		if a==0.2 | a==0.4
		line([b  xA],[0  yA],'color','k')
 		line([xA  xB],[yA  yB],'color','k')
 		line([xB  xC],[yB  yC],'color','k')
 		line([xC  b],[yC  0],'color','k')
		end
		xG=b-b/2*cos(a)+h/2*sin(a);yG=b/2*sin(a)+h/2*cos(a);
 		f_pallina(xG,yG,0.1,'k')
	end
 
	

