%	-------------------------------------------------------------- 
%   fattAmpl.m:  fattore di amplificazione dinamica							
%	---------------------- grafica ------------------------------- 
	close ; h1 = figure(1); 	
 	set(h1, 'Units', 'normalized', 'Position', [0.5 0.5 0.45 0.5]);
	hold on ; zoom on ; pause off ;
	axis([0 3 0 6] );  % [xmin xmax ymin ymax]
%	----------------- linee ---------------------------------- 
	line([1  1],[0 6],'color','b','linestyle','-.');
	line([0  3],[1 1],'linestyle',':','color','k');
%	----------------scritte---------------------------- 
	h(1) = xlabel('pulsazione impressa / pulsazione naturale');
	h(2) = ylabel('ampiezza / ampiezza statica');
	set(h,'fontsize',18,'fontname','times');
 	k(1) =text(1.1,5,'e=0.1','fontsize',18,'fontname','times');
	k(2) =text(1.25,2.5,'e=0.2');
	set(k,'fontsize',14,'fontname','helvetica');
%	------------------ grafici ---------------------------------- 
 	X=0 : 0.01 : 3;	%	arraye delle ascisse
% 	"e" = costante di smorzamento/pulsazione naturale
	for  e = 0 : 0.1 : 1   
		Y=1./sqrt((1-X.^2).^2+(2*e*X).^2);
		plot(X,Y,'color','red','era','back'); 
		pause
  	 end 
%	---------------------------------------------------------fine---- 

