% 				OSCULA
%	Data una curva piana il programma traccia il cerchio osculatore 
% 	in diversi punti. La curva  utilizzata in forma parametrica 
%	x(t) e y(t) per calcolare la tangente, la normale, il raggio ed
%	il centro del cerchio osculatore.
%	----------modalit grafica--------------
	close ; h1 = figure(1) ; 	
	set(h1, 'Units', 'normalized', 'Position', [0.5  0.5  0.5  0.5]) ; 
%	set(h1, 'Units', 'normalized', 'Position', [0  0  1  1]) ; 
	hold on ; axis on ; zoom on ; pause off
 	axis equal ;    axis([-1  10  -4  4]);
%	-----------------------------------------------------------
% Traccia la linea
	S = 0 : 0.1 :10;
	[X, Y, Dx, Dy, DDx, DDy] = f_rosa(S); 
 	plot(X,Y,'k','era','back','linewidth',2)
%	assi cartesiani
	vettoreX(-1, 0, 10, 'b', 1,   0.24, 0.20  ) ;  	% ... spess, sL, sN
	vettoreY(0, -3, 6, 'b', 1,   0.24, 0.20  ) ; 	% ... spess, sL, sN
	%	----------------scritte---------------------------- 
 	h(1) = text(9 ,-0.3,'x'); h(2) = text(-0.4, 2.7, 'y');
	set(h, 'fontsize',18,'fontname','times');
%	-----------------------------------------------------------
	for t = 0.2:1.3:9;	% scelta di alcuni valori del parametro t 	
		[x, y, Dx, Dy, DDx, DDy] = f_rosa(t); 
		pause % -----------
% 		traccia il punto
		plot(x, y, 'm.','linewidth',6,'era','back')
		pause % -----------
%		versore tangente: t=dr/ds
%		tx = x'/sqr(x'*x'+y'*y') 	 ty = y'/sqr(x'*x'+y'*y')	
 		den = sqrt(Dx*Dx+Dy*Dy); 	% sqr(x'*x'+y'*y')	
		tx = Dx/den; 	ty = Dy/den; 		% componenti della tangente
		xt = x + tx ;  yt = y + ty ;  		% estremo del versore tangente
		plot([x  xt], [y, yt], 'b','era','back','linewidth',2);
		pause % -----------
%		versore normale. Lo scegliamo ruotando di 90 gradi 
%		in senso orario il versore t. Cos facendo il versore normale
%		si trova sempre dalla stessa parte percorrendo la curva.
 		nx = -ty  ;   ny=tx ;  		% componenti della normale
		xn = x + nx ;  yn = y + ny ;  % estremo del versore normale
		plot([x  xn], [y, yn], 'r','era','back','linewidth',2);
		pause % -----------
%		n = r dt/ds  
		r = den^3 /( Dy*DDx -Dx*DDy); % raggio cerchio osculatore
% 		attenzione: il raggio pu essere positivo o negativo
		xC = x + nx * r; 	yC = y + ny * r;
		f_circo(xC, yC, 0.02, 'r');	% traccia un cerchietto nel centro
		plot([x  xC], [y, yC], 'g','era','back');%  retta dal punto al centro
 		pause % -----------
 		f_circo(xC, yC, r, 'r');  % traccia cerchio osculatore
	end
% ----------------------------------------------------------------------------------fine
