%===============================================
%               rot2D
% (prof. Enzo Tonti; creato il 2 aprile 1997)
% (utilizza gli script:  "linea"  e "ruota2D")
%-----------------------------------------------
% Mostra due coppie di assi cartesiani, l'una
% ruotata rispetto all'altra.
	clear
	close
	hold on
% [ Xmin   Xmax   Ymin   Ymax ]	
	axis( [-10 10  -10 10 ] )
	axis off % non traccia gli assi graduati
	axis equal %  immagine isometrica
% assi X,Y riferimento fisso
	linea(-10,0,10,0,'y',2);
	linea(0,-10,0,10,'y',2);
% scrivi una frase in colore prefissato
	text(10,0,' X','color', 'y');
	text(0,10,' Y','color', 'y');
	
% traccia assi ruotati di alfa
	angolo = 33;   % gradi
% estremi degli assi x ed y ruotati
	[a, b] = ruota2D(10,0,angolo);
	linea(0,0,a,b,'c',2);
	text(a,b,' x','color', 'c');
	[a, b] = ruota2D(0,10,angolo);
	linea(0,0,a,b,'c',2);
	text(a,b,' y','color', 'c');
% traccia una pallina nel punto che ha
% come coordinate locali
	u = 5;   v= 4 ;
	[U ,V] = ruota2D(u,v,angolo);
	plot(U,V,'wo');
	text(U,V,'   P','color', 'w');
% traccia i segmenti paralleli agli assi x,y
	[a, b] = ruota2D(0,v,angolo);
	linea(U,V,a,b,'c',1);
	[a, b] = ruota2D(u,0,angolo);
	linea(U,V,a,b,'c',1);
% traccia i segmenti paralleli agli assi X,Y
 	linea(U,V,U,0,'y',1);
 	linea(U,V,0,V,'y',1);
%-----------------------------------------------
% ringrazio coloro che risolveranno i punti (?)
% e lo comunicheranno a  <tonti@univ.ts.it>.
% Saranno corretti e rimessi in rete.
%===============================================

