%===============================================
%                     rot3D2     
%
% (prof. Enzo Tonti; creato il 2 aprile 1997)
% (utilizza gli script:   "3"  e  "ruota3D" )
%-----------------------------------------------
% Assegnata una terna fissa X,Y,Z si vuole
% visualizzare sia essa che una seconda terna 
% x,y,z la cui orientazione e' data dai tre
% angoli di Eulero 
% 'phi', 'theta', 'psi'      dati in  GRADI !
% premendo un tasto si vedono diverse configurazioni
    clear
	close
	hold off
% [ Xmin  Xmax  Ymin  Ymax   Zmin  Zmax ]	
	L=16;
	axis( [-L L  -L L  -L L ] )
	axis off % non traccia gli assi graduati
%	axis on %  traccia gli assi graduati
 	axis equal %  immagine isometrica
	
% punto di vista: [azimut  elevazione]
% non mi e' chiaro il funzionamento:
% provare a variare l'azimut per vedere 
	axes('view',[120 20]);
	
% assi X,Y riferimento fisso
	linea3(-L,0,0,L,0,0,'y',2);
	linea3(0,-L,0,0,L,0,'y',2);
	linea3(0,0,-L,0,0,L,'y',2);
% scrivi una frase in colore prefissato
	text(L,0,0,' X','color', 'y');
	text(0,L,0,' Y','color', 'y');
	text(0,0,L,' Z','color', 'y');
	
% (?) turbano il tracciamento: perche' ?
%	t=0:2*pi/20:2*pi; 
% 	x= L*cos(t);  y=L*sin(t); 
% 	z=zeros(size(t,2));
% 	plot3(x,y,z);

% 	xx= L*cos(t);  zz=L*sin(t); 
%	    yy=zeros(size(t,2));
%		plot3(xx,yy,zz);

 	for k=0:10:50;
% traccia assi ruotati 
	phi =    k;   % gradi
	theta = 0 ;   % gradi
	psi =   0;   % gradi
	
% estremi degli assi x ed y ruotati
	[a, b, c] = ruota3D(L,0,0,phi, theta, psi);
	linea3(0,0,0,a,b,c,'c',1.5);
	text(a,b,c,' x','color', 'c');
	
	[a, b, c] = ruota3D(0,L,0,phi, theta, psi);
	linea3(0,0,0,a,b,c,'c',1.5);
	text(a,b,c,' y','color', 'c');
	
	[a, b, c] = ruota3D(0,0,L,phi, theta, psi);
	linea3(0,0,0,a,b,c,'c',1.5);
	text(a,b,c,' z','color', 'c');
	
pause
  end
%-----------------------------------------------
% ringrazio coloro che risolveranno i punti (?)
% e lo comunicheranno a  <tonti@univ.ts.it>.
% Saranno corretti e rimessi in rete.
%===============================================
