%------------------------------------------
%   fattore di amplificazione dinamica
%	sfasamento.m
% ---------------------------------------------------------------------
	clear all   % cancella tutte le variabili in memoria  
 	close 		% chiudi tutte le finestre grafiche
	clc			% azzera la finestra dei comandi
% ---------------------------------------------------------------------
%	attiva la grafica
	h1 = figure;
   set(h1, 'Units', 'normalized', 'Position', [0  0  1  0.90
    ]) ; 
%	set(h1, 'Units', 'normalized', 'Position', [0.5  0.5  0.45  0.45]); 
	whitebg(h1,'k')
	hold on; grid on; zoom on
	axis([0   5    -3.5  0.5])
	line([0  1],[0   0],'color','r','linewidth',1)
% 	DIDASCALIE sugli assi
 	h3 = xlabel('tempo');
  	set(h3,'color','y','fontsize',14,'fontname','times')
  	h4 = ylabel('elongazione');
  	set(h4,'color','y','fontsize',14,'fontname','times')
%	--------------------------------------------------- 
%					scritte
%	-------------------------------------------------------------- 
  	text(2, -2,'e=1','fontsize',14, 'fontname','times');
  	text(0.2, -1,'e=1','fontsize',14, 'fontname','times');
	text(1.1, -3,'e=0.1','fontsize',14, 'fontname','times');
	text(1.2, -0.5,'e=0.1','fontsize',14, 'fontname','times');
	line([1  1],[-3.5  3.5],'color','c')
	line([0  5],[0  0],'color','r')
	line([0  5],[-pi/2  -pi/2],'color','r')
	line([0  5],[-pi  -pi],'color','r')
%------------------------------------------
%  	for e=0.1:0.2:2 % MATLAB  k non necessariamnte intero
%  		D=1./sqrt((1-X.^2).^2+(2*e*X).^2);
	tf=5;   %secondi
	N=100;
	p=tf/N;
	for e = 0.1 : 0.1: 1
		for k=1:(N+1)
			Z(k)=(k-1)*p;
  		 	arg=-(2*e*Z(k))/(1-Z(k)*Z(k));
		 	if Z(k) <= 1
				Beta(k)=atan(arg);
			else
				Beta(k)=atan(arg)-pi;
			end
		end
		plot(Z,Beta,'y');
	end
	
