% 	chiamato da "oscillaBello"
	% preleva dai cursori i valori delle 
	m  = get(massa, 'value');
	h  = get(smorza, 'value');
	k  = get(rigidezza, 'value');
 	w0 = sqrt(k/m);	% pulsazione naturale
	e  = h/(2*m);		% costante di smorzamento

  	t = 0 : 0.01 :10;
%	------------------------------------------------------	
	if e > w0 		%  sistemi sovrasmorzati
		disp('sovrasmorzato')
		mu=sqrt(e^2-w0^2);
		A=(mu*x0-e*x0 -v0)/(2*mu);
		B=(mu*x0+e*x0 +v0)/(2*mu);
     	x = exp(-e*t).*(A*exp(-mu*t) +B*exp(mu*t));
 		plot(t,x,'c','linewidth',2,'era','back');
 		line([0  10],[0   0],'color','r');	% asse orizzontale
		axis([0  10   -8   8]);
 		hold off
	end
%
	if e == w0 		%  smorzamento critico
		disp('smorzamento critico')
		A=x0;
		B=v0+e*x0;
     	x = (A+B*t).*exp(-e*t);
 		plot(t,x,'m','linewidth',2,'era','back');
 		line([0  10],[0   0],'color','r','era','back');	% asse orizzontale
		axis([0  10   -8   8]);
 		hold off
	end
%
	if e < w0  		%  sistema sottosmorzato
		disp('sottosmorzato')
		w  = sqrt(w0^2-e^2); 	% pulsazione del moto smorzato  
		T  = 2*pi/w; 			% periodo del moto smorzato 
% 		trovare M ed alpha
		M = sqrt(x0^2+(v0+e*x0)^2/w^2);
% 		La funzione "asin" (arcsin) fornisce l'angolo tra -90 e 90: 
%		per avere l'angolo tra 90 e 270 occorre scrivere a=pigreco-a
		a = asin(x0/M); % fase iniziale
		if v0<0; a = pi-a; end
     	x = M*exp(-e*t).*sin(w*t+a);
  		plot(t,x,'y','linewidth',2,'era','back');
 		line([0  10],[0   0],'color','r','era','back');	% asse orizzontale
		axis([0  10   -8   8]);
 		hold off
	end
%	------------------------------------------------------
 
%	traduci i numeri in stringhe per poterli scrivere sul disegno
	mm=num2str(m);
	hh=num2str(h);
	kk=num2str(k); 
%	scrivi i valori dei parametri nella finestra sotto
 	valoremassa=uicontrol('style','text',...
		'Units','normalized',...
		'position',[0.02  0.02  0.08  0.04],...
	 	'fontname','times',...
      		'fontsize',10,...
   		'string',mm);	
%	scrivi i valori dei parametri nella finestra sotto
 	valoreSmorza=uicontrol('style','text',...
		'Units','normalized',...
		'position',[0.52  0.00  0.08  0.04],...
	 	'fontname','times',...
      		'fontsize',10,...
   		'string',hh);	
%	scrivi i valori dei parametri nella finestra sotto
 	valoreRigidezza=uicontrol('style','text',...
		'Units','normalized',...
		'position',[0.92  0.02  0.08  0.04],...
	 	'fontname','times',...
      		'fontsize',10,...
   		'string',kk);	
	% 	  	'horizontalalignment','center',...

 	
