% 	=============================================
% 			sviluppo in serie di Fourier
%	della funzione a "onda quadra" definita
%	nell'intervallo [-2*pi, 2*pi]
% 	---------------------------------------------
	clear all	% togli dalla memoria qualunque dato
	close all	% chiudi tutte le finestre grafiche aperte
	clc			% pulisci la finestra dei comandi
% 	---------------------------------------------
%	attiva la pagina grafica
% 	---------------------------------------------
	h1 = figure(1); % attiva la pagina grafica	
%	formato della pagina grafica
% 	set(h1, 'Units', 'normalized', 'Position', [0.5 0.5 0.45 0.5]);
	set(h1, 'Units', 'normalized', 'Position', [0 0  1  0.96]);
   	whitebg(h1, 'black') % 	colore di fondo
	hold on	% sovrapponi i grafici (se sono piu' di uno)
	zoom on	% attiva lo zoom
	grid on	% attiva la griglia
% 	---------------------------------------------
%	esegui il calcolo dei coefficienti 
% 	---------------------------------------------
	N=100;	% numero di armoniche prescelte
    for k=1:N 
		b(k)= -2*((-1)^(k)-1)/(k*pi); % calcolo dei coefficienti
	end	
% 	
    t = -3*pi : 0.01 : 3*pi; % discretizza asse dei tempi 
	s=0;	% somma iniziale
	for k=1:N ;  
		s=s+b(k)*sin(k*t); %	somma i termini 
	end
% 	---------------------------------------------
%	traccia il grafico e le scritte
% 	---------------------------------------------
    plot(t,s)	% traccia il grafico
	axis equal
% 	Converti il numero N in una stringa NN
% 	per poterla scrivere nella finestra grafica
	NN=num2str(N);
% 	componi una stringa composta di tre stringhe
	stringa = [NN '  '  'termini'];	
    title(stringa,'fontsize',18)
% 	==============================================
