% 	=============================================
% 			sviluppo in serie di Fourier
%	della funzione a "dente di sega" definita
%	nell'intervallo [0, 2*pi]
% 	---------------------------------------------
	clear all	% togli dalla memoria qualunque dato
	close all	% chiudi tutte le finestre grafiche aperte
	clc			% pulisci la finestra dei comandi
% 	---------------------------------------------
%	attiva la pagina grafica
% 	---------------------------------------------
	h1 = figure(1); % attiva la pagina grafica	
%	formato della pagina grafica
 	set(h1, 'Units', 'normalized', 'Position', [0.5 0.5 0.45 0.5]);
%	set(h1, 'Units', 'normalized', 'Position', [0 0  1  0.96]);
   	whitebg(h1, 'black') % 	colore di fondo
	hold on	% sovrapponi i grafici (se sono piu' di uno)
	zoom on	% attiva lo zoom
	grid on	% attiva la griglia
% 	---------------------------------------------
%	esegui il calcolo dei coefficienti 
% 	---------------------------------------------
	N=1000;
    for k=1 : N ; b(k)= 2*(-1)^(k+1)/k; end
    t = 0 : 0.01 :10; % discretizza asse dei tempi   
% 	---------------------------------------------
%	traccia il grafico e le scritte
% 	---------------------------------------------
    x=0;  for k=1:N ;  x=x+b(k)*sin(k*t);  end
    plot(t,x) 	% traccia il grafico
% 	Converti il numero N in una stringa NN
% 	per poterla scrivere nella finestra grafica
	NN=num2str(N);
% 	componi una stringa composta di tre stringhe
	stringa = [NN '  '  'termini'];	
    title(stringa,'fontsize',18)
% 	==============================================
