%	             serie di Fourier
%	---------------------- attiva la grafica ----------------
	close ; h1 = figure(1) ; 	
 	set(h1,'Units','normalized','Position',[0  0  1  0.9]) ; 
%	set(h1,'Units','normalized','Position',[0.5  0.5  0.5  0.4]); 
	hold on ; zoom on ; pause on
	whitebg('black')
% 	---------------------  Dati  ----------------------------
%   Calcola i primi 800 coefficienti dello sviluppo in serie 
%   di Fourier della funzione a "dente di sega"
    for k=1:800 ; b(k)= 2*(-1)^(k+1)/k; end
    t = 0 : 0.01 :10; % discretizza asse dei tempi   
% 	-------------------
    subplot(2,2,1)	% quadro 3 (basso-sinistra)
    x=0;  for k=1:6 ;  x=x+b(k)*sin(k*t);  end
    plot(t,x)
    title('6 termini','fontsize',18)
% 	-------------------
    subplot(2,2,2)	% quadro 4 (basso-destra)
    x=0; for k=1:20 ;  x=x+b(k)*sin(k*t); end
    plot(t,x)
    title('20 termini','fontsize',18)
% 	-------------------
    subplot(2,2,3)	% quadro 3 (basso-sinistra)
    x=0;  for k=1:64 ;  x=x+b(k)*sin(k*t);  end
    plot(t,x)
    title('64 termini','fontsize',18)
% 	-------------------
    subplot(2,2,4)	% quadro 4 (basso-destra)
    x=0; for k=1:800 ;  x=x+b(k)*sin(k*t); end
    plot(t,x)
    title('800 termini','fontsize',18)
% 	------------------- fine ---------------------------------

	
	
