  	function [dx,dv] = f_Poisson (t, x , v , h);
%	--------------------------------------------------------------  
% 	richiamata da "Runge_Kutta_eq_sec_ord.m"  
% 	per la funzione 
%	x(t)   = 5*t*exp(-0.3*t)   da cui
%	x'(t)  = 5 *exp(-0.3*t)-0.3* x(t)
%	x"(t) = -0.3 * 5 *exp(-0.3*t)-0.3*x'(t)
%	L'equazione differenziale  scritta come sistema  
%	x'(t) = v(t)
%     v'(t) =  -0.3 * 5 *exp(-0.3*t)-0.3*v(t)
  	dx = h*v;
	dv = h*(-0.3 * 5 *exp(-0.3*t)-0.3*v);
%-----------------------------------------------------------fine
	 

