  	function [Dx,Dv] = f_armonici (t, x, v, k, m);
%	------------------------------------------------------------------------  
global Dt  
% 	richiamata da "RK2ord.m"  
%	per l'equazione dei moti armonici: m x''(t) = -k x(t)
%	scritta come sistema dinamico 	
%	x'(t)=F[ t, x(t),  v(t) ] 		x'(t) = v(t)
%	v'(t)=G[ t, x(t),  v(t) ]		v'(t) = -k/m x(t)
%	------------------------------------------------------------------------  
	Dx = Dt * v;
	Dv = - Dt * k / m * x;

