% 
% PROGRAMMA spiega (illustrazione metodo delle celle)
%
%	-------------------------------------------------------------- 
% funzione: f_bezier			creato: 06/09/1998		modificato: 09/09/1998
%	-------------------------------------------------------------- 
%
% parti del file:	definizione procedura;
%						tracciamento curva di Bezier.
%
%	-------------------------------------------------------------- 
%	-------------------------------------------------------------- 
% 	viene chiamata da: f_07a, f_08
% 	           chiama: <>
%	-------------------------------------------------------------- 
%	-------------------------------------------------------------- 
% tracciamento curva di Bezier
% ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
%
%
% =====definizione procedura=====
%
	% definizione funzione
	function f_bezier(fs,xT,yT,pc,Bx,By,tratto,colore)
   % dichiarazione variabili globali
   global MCV MVT MNV f12a f14a  f18a  f25a csp rMCV  rMVT
   global np numpag aa pbspi1 pbspi2 espi1 stpi1
%
% =====tracciamento curva di Bezier=====
%
	% trasformazione coordinate punti
	Bx = Bx*fs+xT;		By = By*fs+yT;
	% valore iniziale ascissa curvilinea (valori tra 0 e 1)
	a2 = 0;
	% tracciamento curva
	for a1=1:(pc+1)
      % coordinate punti della curva
      g = 1-a2;
      xx(a1) = (g*g*g)*Bx(1)+3*a2*(g*g*g)*Bx(2)+3*(a2*a2)* g*Bx(3)+(a2*a2*a2)*Bx(4);
   	yy(a1) = (g*g*g)*By(1)+3*a2*(g*g*g)*By(2)+3*(a2*a2)* g*By(3)+(a2*a2*a2)*By(4);
   	% aggiornamento valore ascissa curvilinea
   	a2 = a1/pc;
   end
   	% tracciamento
   	plot(xx,yy,'color',colore,'linewidth',tratto);
