  function [Dtheta,Dw] = f_bielmanov ( t, theta , w,  a, b, m, I, Dt);
%------------------------------------------------------------------------  
% 	richiamata da "biellaManovella.m"  
%  	ipotesi che sia a/b piccolo 
% 	theta=theta , w= omega  

%    theta'(t)= v(t)
% 	w'(t)=( F(t)-m f'(theta) f''(theta) w^2 ) / (m f'(theta)^2 +I)
%	p(theta) =  f'(theta)   q(theta) = f''(theta)
% 	posto   	F(t) = 25*t*ethetap(-5*t) % [vedi grafico9]

 	F=  25*t*exp(-5*t) ;
   	p =   -a*sin(theta)+a*a/b*sin(theta)*cos(theta)  ;
 	q =   -a*cos(theta)+a*a/b*cos(2*theta);
 		
  	Dtheta = w*Dt;
	Dw = ( (F - m*q*w*w)*p / (m*p*p+I) )*Dt;	
	% coglione! avevi dimenticato Dt
	% coglione due volte: ti stupivi che l'angolo 
	% theta continuasse ad aumentare!

