  function  [XX]=f_circocentri(P,Q,R)
%  	Dati tre punti nello spazio questo modulo calcola il circocentro
% 	Queste formula vengono dal pezzo "circosfera.tex"
%	 equazione del piano passante per P,Q,R
% 			a +bx+cy+dz=0
% 	cambio di notazione
	x1=P(1);		y1=P(2);		z1=P(3); 
	x2=Q(1);		y2=Q(2);		z2=Q(3); 
	x3=R(1);		y3=R(2);		z3=R(3); 
% circocentri delle facce
% piano per PQR
	AA=[	x1	y1	z1
			x2	y2	z2
			x3	y3	z3];
	a=det(AA);	
	BB=[	1	y1	z1 ;
			1	y2	z2
			1	y3	z3];
	b=-det(BB);
	CC=[	1	x1    z1
			1	x2	z2 
			1	x3	z3];
	c=det(CC);	
	DD=[	1	x1	y1 
			1	x2	y2
			1	x3	y3];
	d=-det(DD);
%	fprintf('  (%3.0f) +  (%3.0f) x+  (%3.0f) y+  (%3.0f)  z=0 \n',a,b,c,d);   % OK
	
%	intersezione piani mediani
	T=[ x2-x1    y2-y1    z2-z1 
		x3-x2    y3-y2    z3-z2 
		b    c   d ];
% 	termini noti	(formula QR15 della "circosfera.tex")	
	p= (x2*x2-x1*x1)/2+(y2*y2-y1*y1)/2+(z2*z2-z1*z1)/2;
	q= (x3*x3-x2*x2)/2+(y3*y3-y2*y2)/2+(z3*z3-z2*z2)/2;
	r= -a;
	N=[p  q  r]';
%	T * XX = N 
	XX=T\N ;
%	verifica che siano uguali le distanze	
	x=XX(1); 	y=XX(2); 	z=XX(3); 
	d1=(x-x1)^2+(y-y1)^2+(z-z1)^2;
	d2=(x-x2)^2+(y-y2)^2+(z-z2)^2;
	d3=(x-x3)^2+(y-y3)^2+(z-z3)^2;
%	fprintf('  %6.3f  %6.3f   %6.3f   \n',d1,d2,d3);  % OK	
% verifica che il circocentro si trovi nel piano della faccia
% deve essere il determinante =0
	W=[1	x 	y 	z
		1	x1 	y1 	z1
		1	x2 	y2 	z2
		1	x3 	y3 	z3];
	w=det(W);
%	fprintf('   %18.14f   \n',w);   
