% traccia il circocentro di un triangolo nello spazio
function [xc, yc, zc,xcPQR, ycPQR, zcPQR,xcPRS, ycPRS, zcPRS,xcPSQ, ycPSQ, zcPSQ]= f_circocentri3D(P,Q,R,S)
	
	D=[Q',R',S',Q'];
	for i=1:3
		% circocentro DI UN TRIANGOLO NELLO SPAZIO
		P1=D(:,i);	P2=D(:,i+1);
	
		Wx=(P1(2)-P(2))*(P2(3)-P(3))-(P2(2)-P(2))*(P1(3)-P(3));
		Wy=(P1(3)-P(3))*(P2(1)-P(1))-(P2(3)-P(3))*(P1(1)-P(1));
		Wz=(P1(1)-P(1))*(P2(2)-P(2))-(P2(1)-P(1))*(P1(2)-P(2));
	
		M=	[	P1(1)-P(1) 	P1(2)-P(2) 	P1(3)-P(3)
				P2(1)-P(1) 	P2(2)-P(2) 	P2(3)-P(3)
				Wx 		Wy 		Wz];
				
		noti=[	(P1(1)^2-P(1)^2)/2+(P1(2)^2-P(2)^2)/2+(P1(3)^2-P(3)^2)/2
				(P2(1)^2-P(1)^2)/2+(P2(2)^2-P(2)^2)/2+(P2(3)^2-P(3)^2)/2
				Wx*P(1)+Wy*P(2)+Wz*P(3)];
		
		Z=M\noti;
		C(i,1)=Z(1); C(i,2)=Z(2); C(i,3)=Z(3);
	end
	clear M,noti,Z
	xcPQR=C(1,1); ycPQR=C(1,2); zcPQR=C(1,3);
	xcPRS=C(2,1); ycPRS=C(2,2); zcPRS=C(2,3);
	xcPSQ=C(3,1); ycPSQ=C(3,2); zcPSQ=C(3,3);
	
	M=	[	Q(1)-P(1) 	Q(2)-P(2) 	Q(3)-P(3)
			R(1)-P(1) 	R(2)-P(2) 	R(3)-P(3)
			S(1)-P(1) 	S(2)-P(2) 	S(3)-P(3)];
				
	noti=[	(Q(1)^2-P(1)^2)/2+(Q(2)^2-P(2)^2)/2+(Q(3)^2-P(3)^2)/2
			(R(1)^2-P(1)^2)/2+(R(2)^2-P(2)^2)/2+(R(3)^2-P(3)^2)/2
			(S(1)^2-P(1)^2)/2+(S(2)^2-P(2)^2)/2+(S(3)^2-P(3)^2)/2];
		
	Z=M\noti;

	xc=Z(1); yc=Z(2); zc=Z(3);
