function [int] = f_converti3(xA,yA,xB,yB,xC,yC);
global X  Y
% richiamata da "integraleDoppio3.m"
% usiamo 4 punti di Gauss  
% le coordinate AFFINI dei 4 punti di Gauss e i pesi sono
	csi(1)=1/3;  	eta(1)=1/3; 	w(1)=-27/48;
	csi(2)=0.6;  	eta(2)=0.2; 	w(2)=25/48; 		
	csi(3)=0.2;  	eta(3)=0.6;	w(3)=25/48;
	csi(4)=0.2;  	eta(4)=0.2;	w(4)=25/48;
% le coordinate CARTESIANE dei 4 punti di Gauss si
% ottengono con le formule
%
 	area=det([1  xA  yA;1  xB  yB;1  xC  yC])/2;
	s =0; 
	for i=1:4
 		x= xA+(xB-xA)*csi(i)+(xC-xA)*eta(i);  
 		y= yA+(yB-yA)*csi(i)+(yC-yA)*eta(i);  
% valori della funzione nei punti di Gauss
%		u(i)=exp(x+y); 
		u(i)=exp(x)*cos(y);
	 	s =s +u(i)*w(i);
		int = s  * area ;
	end
