function [int] = f_converti7(xA,yA,xB,yB,xC,yC);
global X  Y
% richiamata da "integraleDoppio7.m"
% usiamo 7 punti di Gauss  integra esattamente polinomi di quinto grado
% posto
	a1=0.0597158717;		b1=0.4701420641;
	a2=0.7974269853;		b2=0.1012865073;
% le coordinate AFFINI dei 7 punti di Gauss ed i pesi sono
	csi(1)=1/3;  	eta(1)=1/3; 	w(1)=0.225;
	csi(2)=a1;  	eta(2)=b1; 	w(2)=0.1323941527; 		
	csi(3)=b1;  	eta(3)=a1;	w(3)=0.1323941527;
	csi(4)=b1;  	eta(4)=b1;	w(4)=0.1323941527;
	csi(5)=a2;  	eta(5)=b2;	w(5)=0.1259391805;
	csi(6)=b2;  	eta(6)=a2;	w(6)=0.1259391805;
	csi(7)=b2;  	eta(7)=b2;	w(7)=0.1259391805;
% le coordinate CARTESIANE dei 7 punti di Gauss si
% ottengono con le formule
%
 	area=det([1  xA  yA;1  xB  yB;1  xC  yC])/2;
	s =0; 
	for i=1:7
 		x= xA+(xB-xA)*csi(i)+(xC-xA)*eta(i);  
 		y= yA+(yB-yA)*csi(i)+(yC-yA)*eta(i);  
% 		valori della funzione nei punti di Gauss
%		u(i)=exp(x+y); 
		u(i)=exp(x)*cos(y);
	 	s =s +u(i)*w(i);
		int = s * area ;
	end
