	function [int] = f_convertiAuto(e,n1,n2,n3);
% 	Calcola la sorgente integrale associata ad un triangolino.
% 	Entrano: l'elemento "e" 
%	i nodi "n1,n2,n3" dei vertici del triangolino nella numerazione locale
	global  E  N  csi  eta

%	etichette dei tre vertici del triangolo "e" (numeraz. globale)
    	h=E(e,1);		i=E(e,2);		j=E(e,3);
%	coordinate dei vertici h,i,j del triangolo "e"
  	xh=N(h,1);	yh=N(h,2);
  	xi=N(i,1);	yi=N(i,2);
  	xj=N(j,1);	yj=N(j,2);
% 	coordinate CARTESIANE dei tre vertici del triangolino 
%	sul quale si deve calcolare la sorgente integrale
 	x1= xh+(xi-xh)*csi(n1)+(xj-xh)*eta(n1);  
 	y1= yh+(yi-yh)*csi(n1)+(yj-yh)*eta(n1); 
%	
 	x2= xh+(xi-xh)*csi(n2)+(xj-xh)*eta(n2);  
 	y2= yh+(yi-yh)*csi(n2)+(yj-yh)*eta(n2); 
%	
 	x3= xh+(xi-xh)*csi(n3)+(xj-xh)*eta(n3);  
 	y3= yh+(yi-yh)*csi(n3)+(yj-yh)*eta(n3); 
%
 	area=det([1  x1  y1;  1  x2  y2;  1  x3  y3])/2; % 
%	Per calcolare la sorgente integrale
% 	usiamo tre punti di Gauss posti sui lati dei triangolini.
% 	Le coordinate AFFINI dei tre punti di Gauss e i pesi sono
	c(1)=1/3;  	e(1)=1/3; 	w(1)=-27/48;
	c(2)=0.6;  	e(2)=0.2; 	w(2)=25/48; 		
	c(3)=0.2;  	e(3)=0.6;		w(3)=25/48;
	c(4)=0.2;  	e(4)=0.2;		w(4)=25/48;	
%
	s =0; 
	for i=1:4
% 		coordinate CARTESIANE dei tre punti di Gauss:  
 		x= x1+(x2-x1)*c(i)+(x3-x1)*e(i);  
 		y= y1+(y2-y1)*c(i)+(y3-y1)*e(i); 
% 		valori della sorgente nei punti di Gauss
		u(i)=-sin(x);	% <-----------!!!!!!
 	 	s = s +u(i)*w(i)  ; 
		
	end
		int = s*area;  %%%%%%%%%%%%%%%%%%%
