% 
% PROGRAMMA spiega (illustrazione metodo delle celle)
%
%	-------------------------------------------------------------- 
% funzione: f_frec			creato: 06/09/1998		modificato: 22/10/1998
%	-------------------------------------------------------------- 
%
% parti del file:	definizione procedura;
%						tracciamento freccia.
%
%	-------------------------------------------------------------- 
%	-------------------------------------------------------------- 
% 	viene chiamata da: f_08a, f_11
% 	           chiama: <>
%	-------------------------------------------------------------- 
%	-------------------------------------------------------------- 
% tracciamento freccia 
% ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
%
%
% =====definizione procedura=====
%
	% definizione funzione
	function f_frec(x1,y1,alfa,d,tratto,colore)
   % dichiarazione variabili globali
   global MCV MVT MNV f12a f14a  f18a  f25a csp rMCV  rMVT
   global np numpag aa pbspi1 pbspi2 espi1 stpi1
%
% =====tracciamento freccia=====
%
   % coordinate locali dei punti 
   x2 = d;			y2 = 0;
   x3 = (7/10)*d;	y3 = -(1/10)*d;
   x4 = (7/10)*d;	y4 = (1/10)*d;
   x5 = (8/10)*d;	y5 = 0;
	% angolo di inclinazione in radianti
   ra = (alfa*(pi/2))/90;
   % rototraslazione degli assi
   xx1 = x1;					yy1 = y1;
   xx2 = x2*cos(ra)-y2*sin(ra)+x1;		yy2 = x2*sin(ra)+y2*cos(ra)+y1;
   xx3 = x3*cos(ra)-y3*sin(ra)+x1;		yy3 = x3*sin(ra)+y3*cos(ra)+y1;
   xx4 = x4*cos(ra)-y4*sin(ra)+x1;		yy4 = x4*sin(ra)+y4*cos(ra)+y1;
   xx5 = x5*cos(ra)-y5*sin(ra)+x1;		yy5 = x5*sin(ra)+y5*cos(ra)+y1;
   % tracciamento asta della freccia
   line([xx1 xx5],[yy1 yy5],'linewidth',tratto,'color',colore,'era','back');
   % preparazione dei vettori di tracciamento
   Vx = [xx5 xx3 xx2 xx4 xx5];
   Vy = [yy5 yy3 yy2 yy4 yy5];
   % riempimento punta
   hold on
   fill(Vx,Vy,colore,'era','back');
