   	   	function [Du,Dv] = f_grandi (t, u, v);
%	------------------------------------------------------------------------  
		global g  L  Dt
% 	richiamata da "grandiOscillazioni.m"  
%		per l'equazione dei moti armonici:   u''(t) = -g/L sin(u(t))
%		scritta come sistema dinamico 	
%		u'(t) = v(t)
%		v'(t) = - L/g sin(u(t))
%	------------------------------------------------------------------------  
		Du = + v * Dt;
		Dv = - L/g * sin(u) * Dt;
