% 
% PROGRAMMA spiega (illustrazione metodo delle celle)
%
%	-------------------------------------------------------------- 
% funzione: f_prismi			creato: 01/08/1998		modificato: 08/08/1998 
%	-------------------------------------------------------------- 
%
% parti del file:	definizione procedura;
%						tracciamento poligoni 3D.
%
%	-------------------------------------------------------------- 
%	-------------------------------------------------------------- 
% 	viene chiamata da: f_08a 
% 	           chiama: f_genera
%	-------------------------------------------------------------- 
%	-------------------------------------------------------------- 
% 	generazione prismi
% ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
%
%
% =====definizione procedura=====
%
	% definizione funzione
	function f_prismi(fs,xT,yT);
   % dichiarazione variabili globali
   global MCV MVT MNV f12a f14a  f18a  f25a csp rMCV  rMVT
%
% =====tracciamento  poligoni 3D=====
%
   
   % Matrice Coppie Di Vertici
   MCDV = [	1	2;		10 1;		1  14;	14 2;		10 2;
      		11 2;		10 11;	11 12;	2  3;		4  2;
      		15 4;		15 16;	12 13;	3  5;		7  13;
      		5  7;		15 14;	2  15;	16 17;	3  12;
      		12 5;		5  13;	5  8;		5  6;		5  4;
      		16 4;		16 6;		17 9;		9  8;		7  8;
      		17 6;		9  6;		8  6;		4  6;		3  4;
            3  11];
	% dimensione della matrice
   a5 = size(MCDV,1);
   % settaggio iniziale numeratore vertici
   k = 0;
   % settaggio iniziale vettori tracciamento
   X = 0;	Y = 0;	Z = 0;
   % settaggio spessore 
   g = 1;
   % ciclo tracciamento 
   for a1=1:a5
      % definizione primo e secondo vertice
      p = MCDV(a1,1);	s = MCDV(a1,2);
      % compilazione vettori tracciamento prismi
      [k,g,X,Y,Z] = f_genera(fs,xT,yT,p,s,g,k,X,Y,Z);
      fill3(X, Y,  Z,'y');
      k=0;
      hold on
   end % del for a1=1:a5
   
   
 	%%%%%m=size(X, 2)   % numero righe
 	%%%%%n=m/4; % numero di facce
 
 %fill3(X, Y,  Z,'y');
