	function f_tetra_voronoi(P,Q,R,S)
% 	chiamata da "tetra_duale_voronoi"
%	traccia i sei pezzi di superficie duale di Voronoi per ciascun tetraedro

	line([P(1) Q(1)],[P(2) Q(2)], [P(3) Q(3)],'color','w');		
	line([P(1) R(1)],[P(2) R(2)], [P(3) R(3)],'color','w');		
	line([P(1) S(1)],[P(2) S(2)], [P(3) S(3)],'color','w');		
	line([R(1) Q(1)],[R(2) Q(2)], [R(3) Q(3)],'color','w');		
	line([R(1) S(1)],[R(2) S(2)], [R(3) S(3)],'color','w');		
	line([S(1) Q(1)],[S(2) Q(2)], [S(3) Q(3)],'color','w');		

 	[cPQRS]=f_sferocentro(P,Q,R,S);
%	plot3(cPQRS(1),cPQRS(2),cPQRS(3),'y*','era','back');
  	[cPQR]=f_circocentri(P,Q,R);
%  plot3(cPQR(1),cPQR(2),cPQR(3),'go','era','back');
 	[cQSR]=f_circocentri(Q,S,R);  
% 	plot3(cQSR(1),cQSR(2),cQSR(3),'wo','era','back');
 	[cRSP]=f_circocentri(R,S,P);
% 	plot3(cRSP(1),cRSP(2),cRSP(3),'ro','era','back');
 	[cQPS]=f_circocentri(Q,P,S);  
% 	plot3(cQPS(1),cQPS(2),cQPS(3),'co','era','back');
%	punti medi	
	mPQ=(P+Q)/2;
	mPR=(P+R)/2;
	mPS=(P+S)/2;
	mQR=(Q+R)/2;
	mQS=(Q+S)/2;
	mRS=(R+S)/2;
% 	plot3(mPQ(1),mPQ(2),mPQ(3),'r*','era','back');
% 	plot3(mPR(1),mPR(2),mPR(3),'r*','era','back');
% 	plot3(mPS(1),mPS(2),mPS(3),'r*','era','back');
% 	plot3(mQR(1),mQR(2),mQR(3),'r*','era','back');
% 	plot3(mQS(1),mQS(2),mQS(3),'r*','era','back');
% 	plot3(mRS(1),mRS(2),mRS(3),'r*','era','back');

% 	text(P(1),P(2),P(3),'P','fontsize',14)	
% 	text(Q(1),Q(2),Q(3),'Q','fontsize',14)	
% 	text(R(1),R(2),R(3),'R','fontsize',14)	
% 	text(S(1),S(2),S(3),'S','fontsize',14)	

% 	riempimento
%	faccia GQR	
%  	fill3(...
% 	[cPQRS(1)  cPQR(1)  mQR(1)  cQSR(1)],...
% 	[cPQRS(2)  cPQR(2)  mQR(2)  cQSR(2)],...
% 	[cPQRS(3)  cPQR(3)  mQR(3)  cQSR(3)],'b','era','back');
%	faccia GQS	
% 	fill3(...
% 	[cPQRS(1)  cQPS(1)  mQS(1)  cQSR(1)],...
% 	[cPQRS(2)  cQPS(2)  mQS(2)  cQSR(2)],...
% 	[cPQRS(3)  cQPS(3)  mQS(3)  cQSR(3)],'c','era','back');
%	faccia GRS	
% 	fill3(...
% 	[cPQRS(1)  cRSP(1)  mRS(1)  cQSR(1)],...
% 	[cPQRS(2)  cRSP(2)  mRS(2)  cQSR(2)],...
% 	[cPQRS(3)  cRSP(3)  mRS(3)  cQSR(3)],'r','era','back');
%	faccia GPS	
	fill3(...
	[cPQRS(1)  cRSP(1)  mPS(1)  cQPS(1)],...
	[cPQRS(2)  cRSP(2)  mPS(2)  cQPS(2)],...
	[cPQRS(3)  cRSP(3)  mPS(3)  cQPS(3)],'y','era','back');
%	faccia GPR	
	fill3(...
	[cPQRS(1)  cRSP(1)  mPR(1)  cPQR(1)],...
	[cPQRS(2)  cRSP(2)  mPR(2)  cPQR(2)],...
	[cPQRS(3)  cRSP(3)  mPR(3)  cPQR(3)],'m','era','back');
%	faccia GPQ	
	fill3(...
	[cPQRS(1)  cQPS(1)  mPQ(1)  cPQR(1)],...
	[cPQRS(2)  cQPS(2)  mPQ(2)  cPQR(2)],...
	[cPQRS(3)  cQPS(3)  mPQ(3)  cPQR(3)],'g','era','back');
