%====inizio======================
%                 sup_3D
%==============================
%	-------------------------------------------------------------- 
%					seleziona modalita' grafica 
%	-------------------------------------------------------------- 
% 	chiudi finestra grafica precedente	
  	clear all; close	; clc	
%  	apre una finestra grafica di dimensioni volute
  	h1 = figure(1); 	
%  	set(h1, 'Units', 'normalized', 'Position', [0.5 0.5 0.45 0.5]);
	set(h1, 'Units', 'normalized', 'Position', [0 0  1  0.96]);
% 	colore di fondo
 	whitebg(h1, 'k');

%	ANGOLO VISUALE
%  	 f = 148; 	g = 24; % longitudine e latitudine in gradi
  	 f = -148; 	g = -10; % longitudine e latitudine in gradi
 	view ([ f , g ])
   	hold on;  rotate3d on; axis on
%----------------------------------------------------------
% funzione z=A+ a*x + d* y+ (b* x*x + 2*c*x*y -b*y*y)/2
%----------------------------------------------------------
% 	MAGLIA DI BASE
	[X,Y] = meshgrid(-4 : 0.2 : 4 );
	
% 	FUNZIONE DA GRAFICARE
% 	parametri funzione
	A=0; a=0; d=0; b=1; c=0;
 % 	Z = A + a*X + d*Y + b*(X.*X - Y.*Y)/2 + c*X.*Y; % varphi 
	Z = A + a*Y - d*X -  c*(X.*X - Y.*Y)/2 + b*X.*Y; % psi

% 	TRACCIA LA SUPERFICIE 
%	mesh(X,Y,Z);  	% a maglia
	surfl(X,Y,Z);  		% a maglia con ripieno
% 	shading  interp 	% senza maglia, con ripieno (insieme a "surfl")

%	COLORE CORNICE
% 	set(gcf,'Color','cyan')
%	set(gcf,'Color','b')
%	set(gcf,'Color','k') ;

% 	COLORAZIONE SUPERFICIE
    	colormap(hot);
%	colormap(gray);
%	colormap(cold); % reclama "hot"

% 	scegli i colori dei tre assi
	set (gca,'XColor','r',...
			'YColor','c',...
		 	'ZColor','y')					 
 	title('funzione armonica','fontsize',18 );
