%====inizio======================
%                 sup_3D
%==============================
%	-------------------------------------------------------------- 
%					seleziona modalita' grafica 
%	-------------------------------------------------------------- 
% 	chiudi finestra grafica precedente	
  	clear all; close	; clc	
%  	apre una finestra grafica di dimensioni volute
  	h1 = figure(1); 	
%  	set(h1, 'Units', 'normalized', 'Position', [0.5 0.5 0.45 0.5]);
	set(h1, 'Units', 'normalized', 'Position', [0 0  1  0.96]);
% 	colore di fondo
 	whitebg(h1, 'w');
	axis equal
%	ANGOLO VISUALE
   	hold on;  rotate3d on; axis on
%----------------------------------------------------------
% funzione z=A+ a*x + d* y+ (b* x*x + 2*c*x*y -b*y*y)/2
%----------------------------------------------------------
%	istruzione: subplot(righe, colonne, numero del riquadro)
  
	 
% 	MAGLIA DI BASE
	[X,Y] = meshgrid(-4 : 0.2 : 4 );
	
% 	FUNZIONE DA GRAFICARE
% 	parametri funzione
	A=0; a=0; d=0; b=1; c=0;
  	Z1 = A + a*X + d*Y + b*(X.*X - Y.*Y)/2 + c*X.*Y; % varphi 
	Z2 = A + a*Y - d*X -  c*(X.*X - Y.*Y)/2 + b*X.*Y; % psi

     subplot(2,2,1) % quadro 1 (alto-sinistra)
 
% 	TRACCIA LA SUPERFICIE 
	mesh(X,Y,Z1);  	% a maglia
%	surfl(X,Y,Z1);  	% a maglia con ripieno
% 	shading  interp 	% senza maglia, con ripieno (insieme a "surfl")

	f = -108; 	g = 32; % longitudine e latitudine in gradi
 	view ([ f , g ])
% 	COLORAZIONE SUPERFICIE
%    colormap(hot);
	colormap(gray);
%	colormap(cold); % reclama "hot"

% 	scegli i colori dei tre assi
	set (gca,'XColor','k',...
			'YColor','k',...
		 	'ZColor','k')					 
 %	title('funzione armonica','fontsize',18 );
%
	subplot(2,2,2)	% quadro 2 (alto-destra)
 
% 	TRACCIA LA SUPERFICIE 
	mesh(X,Y,Z2);  	% a maglia
%	surfl(X,Y,Z2);  	% a maglia con ripieno
% 	shading  interp 	% senza maglia, con ripieno (insieme a "surfl")
 	f = -110; 	g = 6; % longitudine e latitudine in gradi
 	view ([ f , g ])
% 	COLORAZIONE SUPERFICIE
%    	colormap(hot);
	colormap(gray);
%	colormap(cold); % reclama "hot"

	% 	scegli i colori dei tre assi
	set (gca,'XColor','k',...
			'YColor','k',...
		 	'ZColor','k')					 
%	title('funzione armonica coniugata','fontsize',18 );