%      tavoletta.m
% Mostra come funziona una "tavola grafica". Su una finestra
% si fa "click" in un punto e MATLAB localizza le coordinate
% del punto "clickato" e vi deposita una pallina. Al termine
% deposita le coordinate dei dieci punti in un archivio 
% di nome "Arturo"
% Utilizza la funzione f_pallina
%-------------------------------------------------------
   close
   h1 = figure(1);
   set(h1, 'Units', 'normalized', 'Position', [0 0 1 0.9]);
   whitebg(h1,'b')
   axis([1 9 3 7]);  % [xmin xmax ymin ymax]
   hold on
   axis equal
   title('fare click in 10 punti diversi', 'fontsize', 18)
% axis manual
%-------------------------------------------------------
for k=1:10
   [x(k)  y(k)]=ginput(1);
   f_pallina(x(k),y(k),0.05, 'y')
end	
%-------------------------------------------------------
   cicci=fopen('Arturo','wt')
   fprintf('%6.2g  %8.4g  \n', x,y );
   fprintf(cicci,'%6.2g  %8.4g \n', x,y);
   fclose(cicci);
%-------------------------------------------------------

	
