 %======= INIZIO =========================================
 %                      matrice M
 %                 Operazioni sui vettori
 % ------------------------------------------------------
 % Per aggiungere o togliere a tutte le componenti di un 
 % vettore  (o di una matrice) un numero, basta sommarre 
 % o sottrarre il numero al vettore. 
 
  	clear % elimina tutte le variabili in memoria
	clc   % pulisce la finestra dei comandi
 	disp('   Operazioni sui vettori.')
	disp('   =======================')

 	disp('Dato il vettore')
	x = [ 10  20  30 ];
% sperimentiamo listruzione analoga al "disp" ma che
% consente di esibire un array in modo formattato sullo schermo
	fprintf(1,'x= [%g\t%g\t%g]\n',x);
	disp('    ')
 % un vettore. La scrittura

	disp('---------------------> tasto');
	pause
 	disp('con la scrittura  y = x + 3')
 	disp('si ottiene il vettore')
	y = x + 3;
	fprintf(1,'y= [%g\t%g\t%g]\n',y);
 % produce un vettore con le componenti aumentate di 3.

	disp('---------------------> tasto');
 	pause
 % Per moltiplicare o dividere un vettore per un numero
 % basta scrivere
	disp('    ')
	disp('con la scrittura  z = 2 * x')
 	disp('si ottiene il vettore')
	z = 2 * x;
	fprintf(1,'z= [%g\t%g\t%g]\n',z);
 % oppure
	w = x / 2;

	disp('---------------------> tasto');
	pause

 % -------------------------------------------------------
 % Il discorso cambia quando vogliamo fare prodotti sulle 
 % componenti di due vettori. 
 % Cosi' se  vogliamo fare il cubo delle componenti
 % non si puo' scrivere x^3 ma si deve premettere un punto
 % al simbolo di elevamento a potenza
  	disp('  Il discorso cambia quando')
 	disp('vogliamo fare operazioni quali')
 	disp('prodotti, divisioni o potenze')
 	disp('fra le componenti di  vettori.')
 	disp('In questo caso i simboli ')
 	disp('         *      /      ^ ')
 	disp('devono essere preceduti da un ')
	disp('punto:   .*    ./     .^ ')	

	disp('---------------------> tasto');
	pause
 	disp('    ')
	disp('Con la scrittura  f = x .^ 3')
 	disp('si ottiene il vettore')
 	f = x .^ 3;
	fprintf(1,'f= [%g\t%g\t%g]\n',f);
 
 % Il punto precisa che si deve operare sulle singole 
 % componenti.
 % Se si vuole la funzione x sin(x), essendo x un vettore,
 % non si puo' scrivere x*sin(x)
 % ma si deve premettere un punto al simbolo di prodotto

	disp('---------------------> tasto');
	pause
	disp('    ')
 	disp('Con la scrittura  s=x.*sin(x);')
 	disp('si ottiene il vettore')
	s = x .*  sin(x);  
	fprintf(1,'s= [%g\t%g\t%g]\n',s);
	disp('============ fine ===========');
 % Si osservi che sin(x) e' un vettore: e' il vettore
 % che ha come componenti il seno delle corrispondenti 
 % componenti del vettore x.
 %===================================== FINE =============
