%-------------------------------------------------------------------------------
%                      matrice P   
%-------------------------------------------------------------------------------
 
 	clear   % elimina tutte le variabili in memoria
	clc     % pulisce la finestra dei comandi
	echo on
% Assegnata una matrice, ci proponiamo di salvarla su un file
% e quindi di leggerla per vedere come agisce MATLAB.
  	A = [ 1 2 3 ;  4 5 6 ] 
  	cesare=fopen('villa','wt');
	fprintf(cesare,'%4i%4i%4i\n', A);
	fclose(cesare);
% Per vedere come la matrice e'' stata salvata, 
% apriamo l''archivio "villa" con un editore di testi. 
% Vedremo: 
%		   	1   4   2
%			5   3   6
% In tal modo cio' che ha salvato non ha piu' la forma 
% della matrice data  e neanche della sua trasposta.
%		1      2      3
%		 |    /  |    / |
%		 |  /    |  /   |	
%		4      5      6
% Quindi legge dalla MEMORIA per colonne 
% 		e scrive sull'ARCHIVIO per per righe.
% -------------------- 
	pause
% ora leggiamo l'archivio e vediamo come lo riporta
 	gianni=fopen('villa','r');
	B=fscanf(gianni,'%4i%4i%4i\n',[3 inf]);
	fclose(gianni);
% lo vedremo sullo schermo cosi'
	B
% che non e' la matrice data e neanche la sua trasposta.
% Quindi legge dall'ARCHIVIO per righe
%  		 e porta in MEMORIA per colonne
% -------------------- 
	pause
	clc
	echo off
% ATTENZIONE: se abbiamo aperto il file per guardarci dentro  
% prima di rilanciare il programma un'altra volta assicurarsi
% che il file sia  stato chiuso  cioe' che non appaia sullo schermo.
	echo on
% Ora proviamo a salvare la matrice trasposta usando il formato
% della matrice data, cioe'    %4i%4i%4i  (tre colonne)
	cesare=fopen('casa','wt');
	fprintf(cesare,'%4i%4i%4i\n', A');
	fclose(cesare);
% Per vedere come la matrice e'' stata salvata, apriamo l''archivio "villa" 
% con un editore di testi. Vedremo: 	
%	   	1   2   3
%   	4   5   6
% che e' la matrice data. Quindi:
% salvando la trasposta con il formato della matrice data, l'archivio
% lo riceve come la matrice data.
% Ora leggiamo l'archivio e vediamo come lo riporta
 	veronica=fopen('casa','r');
	M=fscanf(veronica,'%4i%4i%4i\n',[3 inf]);
	fclose(veronica);
% lo vedremo sullo schermo cosi'
	M
% che e' la trasposta della matrice.
	pause
% Facendo di nuovo la trasposta si ottiene sullo schermo la matrice data.
	C=M' ;
	C
% CORRETTO!
% -------------------- 
	pause
	clc
% In conclusione occorre:
% 1) data la matrice A
% 2) fare la trasposta (B=A')
% 3) salvare B con il formato di A (formato delle colonne);
%   (sull'archivio sara' riportata la matrice A)
% 4) leggere P con il formato di A (formato delle colonne);
% 5) fare la trasposta (Q=P')
% 6) Q coincide con la matrice data A.
	pause
	clc
% Facciamo la prova
% 1) data la matrice A
	A=[12  13  14  15  16; -10  -11  -12  -13  -14];
	A	
% 2) fare la trasposta 
	B= A';
	leone=fopen('baita','wt');
	fprintf(leone,'%4i%4i%4i%4i%4i\n',B);
	fclose(leone);
% 3) salvare B con il formato di A (formato delle colonne);
% 4) leggere P con il formato di A (formato delle colonne);
	veronica=fopen('baita','r');
	P=fscanf(veronica,'%4i%4i%4i%4i%4i\n',[5 inf]);
	fclose(veronica);
% 5) fare la trasposta   
	Q=P';
% 6) Q coincide con la matrice data A.
 	Q
% fine
	echo off
% In lettura traspone ma nella scrittura fa un caos.
% per questo occorre salvare sempre la trasposta.
%=========================================== FINE =========
 
