%--------------------------------------------------------
%                 oscilla
% chiama:  traccia.m
%--------------------------------------------------------
%	mostra il grafico del moto oscillatorio per diversi valori dei parametri
	close
	clc
	clear all
	h0=figure(1);
	whitebg(h0,'black')
	
	set(h0,'units','normal','position',[0.5 0.5 0.5 0.5]);
	text(0.2,0.5,'per vedere un diagramma varia un parametro','fontsize',18)
	text(0.3,0.4,'m,k,h usando le relative freccette','fontsize',18)
 %	------------------------------------------------------
%	parametri iniziali
	m=1; h=1; k=1;
% ---------------------------------------------------------------------
%  	condizioni iniziali   
  	x0 = 5;		% elongazione iniziale
	v0 = 2;    	% velocit iniziale m/s
%	------------------------------------------------------
%	'position',[left, bottom, width, height] (p.631)
%	scritta a fianco del cursore (slider)
	scrittaMassa=uicontrol(...
		'style','text',...
		'units','normal',...
		'position',[0.035  0.9  0.05  0.05],...
		'string','m',...
		'fontsize',18,...
		'fontweight','bold',...
		'foregroundcolor','k',...
		'backgroundcolor','y');
%	cursore per variare la massa
	massa=uicontrol(...
		'style','slider',...
		'units','normal',...
		'position',[0.04  0.09  0.04  0.8],...
		'min',1,...
		'max',11,...
		'val',m,...   % valore iniziale
		'call','traccia'); 
%	------------------------------------------------------
	scrittaSmorza=uicontrol(...
		'style','text',...
		'units','normal',...
		'position',[0.12  0.03  0.05  0.05],...
		'string','h',...
		'fontsize',18,...
		'fontweight','bold',...
		'foregroundcolor','k',...
		'backgroundcolor','r');
 	smorza=uicontrol(...
		'style','slider',...
		'units','normal',...
		'position',[0.20  0.001  0.7  0.1],...
		'min',0,...
		'max',10,...
		'val',h,...   % valore iniziale
		'call','traccia');
%	------------------------------------------------------
%	position: [x-iniziale  y-iniziale largh altezza]
	scrittaRigidezza=uicontrol(...
		'style','text',...
		'units','normal',...
		'position',[0.94  0.9  0.05  0.05],...
		'string','k',...
		'fontsize',18,...
		'fontweight','bold',...
		'foregroundcolor','k',...
		'backgroundcolor','g');
	rigidezza=uicontrol(...
		'style','slider',...
		'units','normal',...
		'position',[0.95  0.09  0.04  0.8],...
		'backgroundcolor','y',...
		'min',1,...
		'max',11,...
		'val',k,...   % valore iniziale
		'call','traccia');  
%	------------------------------------------------------
%  	pushbutton  <PUSH BUTTON>		 
	b1=uicontrol(...
		'style','pushbutton',...
		'units','normal',...
		'position',[0.5  0.94  0.1  0.04],...
		'string','FINE',...
 		'callback','close'); 
%	------------------------------------------------------
  
 	  
