% 	======================================
%    				   EULERO
% 	======================================
%   Integrazione equazione differenziale y'=f(x,y)
%	funzione:			y = 18*x*exp(-x)
%	derivata prima: 	y'= 18*exp(-x) - y 
%	----------modalit grafica -----------------------------------
	close ; h1 = figure(1) ; 	
	set(h1, 'Units', 'normalized', 'Position', [0.5  0.5  0.5  0.5]) ; 
	hold on ; axis on ; zoom on ; pause off
%	--------------soluzione esatta----------------------------- 	 			
	X = 0 : 0.01 : 7 ; 			% crea un array  da 0 a 7 a passo 0.01
	Y = 18*X .* exp(-X);	% attenzione al "./"
	plot (X, Y,'b');
%	-----------------integrazione Eulero ------------------- 
	dx = 0.02; 			% passo di integrazione
	X = 0 : dx : 7 ;		% crea un altro array pi grossolano
	n = size(X,2);			% numero elementi dell'array
	pause 		
% 	Matlab non accetta lo zero come primo indice
	X(1) = 0;  Y(1) = 0 ; 		% condizioni iniziali
	plot (X(1), Y(1), 'r.'); 	% traccia primo punto
	for k = 1 : (n-1)
		dy = (18*exp(- X(k))  -  Y(k) )*dx; % Eulero
		X(k+1) = X(k) + dx;     Y(k+1) = Y(k) + dy;     
		plot (X(k+1), Y(k+1), 'r.');
	end
%	--------------------------------------------------- fine 
 


 
