%	   Momenti d'inerzia del rettangolo
%	 
%	----------modalit grafica--------------
	close ; h1 = figure(1) ; 	
	set(h1, 'Units', 'normalized', 'Position', [0.5  0.5  0.5  0.5]) ; 
	hold on ; axis on ; zoom on ; pause off ; grid off
	axis equal ; axis([0  28  0  18]);
%	-------------- sagoma ---------------------------------
%	(rettangolo)
	m = 1;			% massa (kg)
	Lx = 16 ; Ly = 10;	% lati del rettangolo 
	xA = 6;  yA= 4; 	% vertice di partenza
	d = 2;			% semilunghezza standard dei trattini
	p = 3;			% passo del reticolo
%	-----------------------------------------------------------
%	traccia sagoma e il suo baricentro
	X=[xA   xA+Lx   xA+Lx   xA  xA];
	Y=[yA   yA   yA+Ly   yA+Ly   yA];
	fill(X,Y,'y','era','back')
	xG = xA +Lx/2; yG = yA +Ly/2; 
	plot(xG,yG,'r.','linewidth',6,'era','back')
	
 	pause	% si disattiva ponendo "pause off" pi sopra
%	momenti d'inerzia baricentrici	
	JGx = m*Ly*Ly/12;	JGy = m*Lx*Lx/12; 
%	costruisci un reticolo di punti
	for i = -6 : 1 : 6
		x = xG+p*i;
		for j =  -4 : 1 : 4
			y = yG+ p*j;	
			plot(x,y,'k.','linewidth',2,'era','back') % marca il punto
% 			mi metto nel punto  (x,y) e valuto le direzioni principali
% 			uso due assi x ed y paralleli ad X e Y
			Jx = JGx + m * (y - yG) * (y - yG);
			Jy = JGy + m * (x - xG) * (x - xG);
			Jxy = 0 - m * (x - xG) * (y - yG);			
			
			if  Jx == Jy  
				a = pi/4	% momenti d'inerzia coincidenti: angolo 45
			else
				a = atan(2 * Jxy / (Jx - Jy)) / 2;
			end
			
			Jn1 = Jx * cos(a) * cos(a) + Jy * sin(a) * sin(a) + 2 * Jxy * cos(a) * sin(a);
			d1 = d / sqrt(Jn1);		% lunghezza semiasse ellisse
			x1 = x -  d1 * cos(a); 	y1 = y - d1 * sin(a);
			x2 = x + d1 * cos(a); 	y2 = y + d1 * sin(a);
			plot([x1   x2] , [y1  y2],'r','linewidth',1,'era','back')
%
			a = a + pi / 2;	% assi perpendicolari
%
			Jn2 = Jx * cos(a) *cos(a) + Jy * sin(a) * sin(a) + 2 * Jxy * cos(a) * sin(a);
			d2 = d / sqrt(Jn2);		% lunghezza semiasse ellisse
			x1 = x -  d2 * cos(a); 	y1 = y - d2 * sin(a);
			x2 = x + d2 * cos(a); 	y2 = y + d2 * sin(a);
			plot([x1   x2] , [y1  y2],'r','linewidth',1,'era','back')
		end
	end
%	----------------------------------------------------------- fine
