%	**************************************
%			       Astero2  (asteroide)
%	**************************************
%  	Visualizza il moto di un'asta AB che si muove con gli estremi 
%	su due assi ortogonali: A sull'asse "x", B sull'asse "y".
%	----------modalit grafica--------------
	close ; h1 = figure(1) ; 	
	set(h1, 'Units', 'normalized', 'Position', [0  0  1  1]) ; 
	hold on ; zoom on ; pause on;
	axis equal ; axis([-5  5  -5  5]);
	whitebg(h1,'black')
% 	 ---------------------  Dati  ----------------------------
	L = 3;		% lunghezza asta in m
	n = 50;		% numero fotogrammi 
	p = 2 * pi / n;	% passo angolare
	a=1.2*L;		% lunghezza assi in m
%  	 ------------------Traccia ------------------------------ 
	line([ 0  0],[-a   a],'color','r');	% asse orizzontale
	line([-a   a],[ 0  0],'color','r');	% asse verticale
		xxA=0; yyA=0; xxB=0; yyB=0;  %  RIVEDERE
	for k = 2 :  3 : n
		a = k*p;							% angolo con l'asse verticale
		xA = L * sin(a); 	yA = 0;			% punto A sull'asse orizzontale
		xB = 0; 			yB = L * cos(a);	% punto B sull'asse verticale
%		plot([xxA yyA],[ xxB   yyB],'color','y','era','xor');			% asta AB
		plot([xA yA],[ xB   yB],'color','y','era','xor');
		xxA=xA; yyA=yA; xxB=xB; yyB=yB;
		% asta AB
		pause
	end;  
%  	 ------------------------------------------------- fine 
 
