%		BIELLA 
% Traccia una biella-manovella ed il suo movimento 	
%	----------modalit grafica--------------
	close ; h1 = figure(1) ; 	
	set(h1, 'Units', 'normalized', 'Position', [0  0  1  0.9]) ; 
%	set(h1, 'Units', 'normalized', 'Position', [0.5  0.5  0.5  0.5]) ; 
	 whitebg(h1, 'black')
	hold on ;  pause on ;  zoom on
	axis equal ;    axis( [ 0  30  0  16])
%----------------------------Dati-------------------------------- 
	xA = 4 ;  yA = 4; 		% punto A 
	xD = xA+4 ;  yD = yA; 	% origine assi  	
	am = 2.5; 			% a=Lunghezza manovella
	bm = 8;  			% b=Lunghezza biella
	n = 50; 				% fotogrammi
	p = 2 * pi / n; 			% passo angolare
	q = 20/ (5*n);			% passo per il diagramma
%-------------------------Traccia----------------------------- 
% 	diagramma
	plot([xD  xD+20] , [yD  yD] , 'color' , 'k' , 'linewidth' , 1 , 'era' , 'back');	
	plot([xD  xD] , [yD  yD+10] , 'color' , 'k' , 'linewidth' , 1 , 'era' , 'back');	
%	punto A e guida verticale per A
	plot(xA,yA ,'.', 'color' , 'b', 'linewidth' , 3 , 'era' , 'back');
	plot([xA  xA] , [yA  yA+10] , 'color' , 'k' , 'linewidth' , 1 , 'era' , 'back');	

	for k = 0 : 5*n 
		a = p * k;
		xB = xA + am * sin(a);   	yB = yA + am * cos(a);
		xC = xA;	 	yC = yB + sqrt(bm * bm - (am * sin(a)) * (am * sin(a)));
 		plot([xA  xB ] , [yA  yB ] , 'color' , 'c' , 'linewidth' , 1 , 'era' , 'back');
 		plot([xC  xB ] , [yC  yB ] , 'color' , 'g' , 'linewidth' , 1 , 'era' , 'back');
		plot(xC,yC ,'.', 'color' , 'm', 'linewidth' , 3 , 'era' , 'back');
		plot(xB,yB ,'.', 'color' , 'b', 'linewidth' , 3 , 'era' , 'back');
%		punti del diagramma
		x = xD + k*q ;  
		plot(x,yC , '.', 'color' , 'c', 'linewidth' , 3 , 'era' , 'back');
		plot(x,yB ,'.', 'color' , 'g', 'linewidth' , 3 , 'era' , 'back');
		pause
 	end;  
%------------------------------------------------------------ fine 
 
