% centroide2.m

% si mostra che il baricentro di un poligono (in questo caso un quadrilatero)
% non dipende dal modo con cui si effettua la suddivisione in triangoli.
 	clc
% assegnati quattro punti A,B,C;D
	xA=0; yA=0;
	xB=15; yB=0;
	xC=8; yC=25;
	xD=-42; yD=8;

	S=[1 xA yA;  1 xB yB; 1 xC yC];
	T=[1 xA yA;  1 xC yC; 1 xD yD];
% aree
	ABC=det(S)/2;  ACD=det(T)/2;

% baricentri dei triangoli ABC e ACD
	xP=(xA+xB+xC)/3;  yP=(yA+yB+yC)/3;  
	xQ=(xA+xC+xD)/3;  yQ=(yA+yC+yD)/3; 
 
	xM=(xP*ABC+xQ*ACD)/(ABC+ACD) 
	yM=(yP*ABC+yQ*ACD)/(ABC+ACD) 

  
	S1=[1 xA yA;  1 xB yB; 1 xD yD];
	T1=[1 xB yB;  1 xC yC; 1 xD yD];
% aree
	ABD=det(S1)/2;  BCD=det(T1)/2;

% baricentri dei triangoli ABD e BCD
	xR=(xA+xB+xD)/3;  yR=(yA+yB+yD)/3;  
	xS=(xB+xC+xD)/3;  yS=(yB+yC+yD)/3; 
 
	xxM=(xR*ABD+xS*BCD)/(ABD+BCD) 
	yyM=(yR*ABD+yS*BCD)/(ABD+BCD) 
