%   CHASLES
%	----------modalit grafica--------------
	close ; h1 = figure(1) ; 	
	set(h1, 'Units', 'normalized', 'Position', [0  0  1 1]) ; 
	hold on % indispensabile: traccia su una stessa pagina grafica
	pause on  % mettere "on" per temporizzare
%	-----------assegna sagoma-------------
	a = 10 ; b = 15 ; c = 3 ; % dimensioni  sagoma a "L" (6+1 vertici)
% sagoma nella configurazione di riferimento
	% crea due vettori-riga con le ascisse e le ordinate dei vertici
	X = [0  a  a  c  c  0  0] ; Y = [0  0  c  c   b  b  0] ; 
	U = ones(1,7) ; % array per convertire  scalare in vettore colonna
% disponi la sagoma in una posizione iniziale
	p = -60*pi/180 ; % angolo iniziale
	xR = 10 ; yR = 50 ; % primo centro di rotazione 
	XR = xR*U ; YR = yR *U ; 
% 	effettua la rotazione
	Xp = XR+(X-XR)*cos(p)+(Y-YR)*sin(p) ; 
	Yp = YR-(X-XR)*sin(p)+(Y-YR)*cos(p) ; 
% disponi la sagoma in una posizione finale
	q =   80*pi/180 ; % angolo finale
	xS = -20 ; yS = 10 ; % secondo  centro di rotazione
	XS = xS*U ; YS = yS*U ; 
% 	usa la formula di rotazione
	Xq = XS+(X-XS)*cos(q)+(Y-YS)*sin(q) ; 
	Yq = YS-(X-XS)*sin(q)+(Y-YS)*cos(q) ; 
% traccia	  sagoma nelle posizioni iniziale e finale
%	plot(X,Y,'y','era','back')  
	fill(Xp,Yp,'y','era','back')   	
	axis equal ; axis([-40   65  -40   65]) ; % [xmin xmax ymin ymax]
	pause ;  ; fill(Xq,Yq,'b','era','back') 
%	----------fotogrammi---------------------
% Ora scelgo due punti "A" e "B", ad esempio il secondo ed il quinto 
% punto della sagoma e ne congiungo le posizioni iniziali e finali
	xAi = Xp(2) ; 		yAi = Yp(2) ; % posizione iniziale punto "A"
	xAf = Xq(2) ; 		yAf = Yq(2) ; % posizione finale punto "A"
	pause ; line([xAi  xAf], [ yAi yAf],'color','m','era','back') 
%
	xBi = Xp(5) ; 		yBi = Yp(5) ; % posizione iniziale punto "B"
	xBf = Xq(5) ; 		yBf = Yq(5) ; % posizione finale punto "B"	
	pause ; line([xBi  xBf], [ yBi yBf],'color','m','era','back') 
% punti medi: M = medio(Ai,Af), N = medio(Bi,Bf)
 	xM = (xAi+xAf)/2 ; yM = (yAi+yAf)/2 ; 
 	xN = (xBi+xBf)/2 ; yN = (yBi+yBf)/2 ; 
	pause ; plot(xM,yM,'rx','era','back') ; plot(xN,yN,'rx','era','back') 
% l'asse di un segmento passa per  il punto medio ed  ruotato di 
% 	90 gradi. L'equazione dell'asse del segmento (Ai,Af)   
%  	x = xM+s*(yAf-yAi)    y = yM-s*(xAf-xAi)
% 	per tracciare l'asse  prendiamo, ad esempio s = 1, s = -1
	x1 = xM+1*(yAf-yAi) ; y1 = yM-1*(xAf-xAi) ; 
	x2 = xM-1*(yAf-yAi) ; y2 = yM+1*(xAf-xAi) ; 
	pause ; line([x1 x2],[y1 y2],'color','g','era','back') 
% analogamente per l'asse del segmento "(Bi,Bf)'"
%  	x = xN+t*(yBf-yBi)   y = yN-t*(xBf-xBi)
	x3 = xN+1*(yBf-yBi) ; 	y3 = yN-1*(xBf-xBi) ; 
	x4 = xN-1*(yBf-yBi) ; 	y4 = yN+1*(xBf-xBi) ; 
	pause ; line([x3 x4],[y3 y4],'color','g','era','back') 
% determina l'intersezione Q degli assi. Deve essere: 
% 	xM+s*(yAf-yAi) = xN+t*(yBf-yBi) ; 
%  	yM-s*(xAf-xA) = yN-t*(xBf-xBi) ; donde si ricava "s0"
	num = (xM-xN) *(xBf-xBi)+(yM-yN) *(yBf-yBi) ; 
	den = (xAf-xAi)*(yBf-yBi)-(yAf-yAi)*(xBf-xBi) ; 
	s0 = num/den ; 
% da cui
	xQ = xM+s0*(yAf-yAi) ; yQ = yM-s0*(xAf-xAi) ; 
	XQ = xQ*U ; YQ = yQ*U ; 
	pause ; plot(xQ,yQ,'mo','era','back') 
	af = q-p ; da = af/12 ; 
% traccia sagome intermedie
 	for a = 0 : da : af ; 
 		Xe = XQ+(Xp-XQ)*cos(a)+(Yp-YQ)*sin(a) ; 
		Ye = YQ-(Xp-XQ)*sin(a)+(Yp-YQ)*cos(a) ; 
		pause(1) ; 
		plot(Xe,Ye,'y','era','back') ; 
		xB=Xe(5) ; yB=Ye(5) ;  
		line([xQ xB],[yQ yB],'color','b','era','back') 
	end
%	----------fine---------------------
