% equilibrio
% Mostra la posizione di equilibrio di una matita 
% in un contenitore e le possibili posizioni del  suo baricentro
%
%
clear all; clc;	
%	----------modalit grafica--------------
	close ; h1 = figure(1) ; 	
	set(h1, 'Units', 'normalized', 'Position', [0  0  1  0.9]) ; 
%	set(h1, 'Units', 'normalized', 'Position', [0.5  0.5  0.45  0.45]) ; 
	hold on ; zoom on ; pause on;
   axis equal ; 
   axis([-2  25  -2  25]);
	whitebg(h1,'k')
% 	axis on
%	---------------------------------------
%	 dati 
%	---------------------------------------
	b=10; 	% b=base
	h=15;	% h=altezza
	L=20;	% L=lunghezza
%	---------------------------------------
	line([0  0],[0  h],'color','c','linewidth',2)
	line([0  b],[0  0],'color','c','linewidth',2)
	line([b  b],[0  h],'color','c','linewidth',2)
%	---------------------------------------
	x=0;
	for x=b:-1:0
		a=atan((b-x)/h);
		xA= x; yA= 0;
		xB= x+L*sin(a); 	yB=L*cos(a);
		line([xA  xB],[yA  yB],'color','y','era','back')
		xG=x+L/2*sin(a);	yG=L/2*cos(a);
     f_pallina(xG,yG,0.1,'r')
     pause
   end
	for y=0:1:h
		a=atan((h-y)/b);
		xA= 0; yA= y;
		xB= L*cos(a); yB=y+L*sin(a);
		line([xA  xB],[yA  yB],'color','y','era','back')
		xG=L/2*cos(a);	yG=y+L/2*sin(a);
     f_pallina(xG,yG,0.1,'r')
      pause
   end
	
	

