%--------------------------------------------------------
%                 forzatoBello
% chiama:  traccia2.m
%--------------------------------------------------------
%	moto armonico smorzato e forzato
%	DDx(t) + delta Dx(t) + w0^2 x(t) = f0 sin(lambda t)
%	xp(t) = D(delta,w0,wi) sin(wi t + beta)
%	x = A*exp(-delta*t).*sin(w0*t+a)+x0*D.*sin(wi*t+b);
%	I tre parametri da variare sono:
%	la pulsazione libera "w0"
%	la pulsazione della forza impressa "wi"
%	la costante di smorzamento delta "del"
%--------------------------------------------------------
	close
	clc
	clear all
	h0=figure(1);
	whitebg(h0,'black')
%	set(h0,'units','normal','position',[0.0 0.0 1 0.95]);
	set(h0,'units','normal','position',[0.5 0.5 0.5 0.45]);
   zoom on
   text(0.03,0.5,'per vedere un diagramma varia un parametro','fontsize',14)
	text(0.1,0.4,'m,k,h usando le relative freccette','fontsize',14)
%	------------------------------------------------------
%	parametri iniziali
	w0=5; del=1; wi=12;
%	------------------------------------------------------
%	'position',[left, bottom, width, height] (p.631)
%	scritta a fianco del cursore (slider)
	scrittaw0=uicontrol(...
		'style','text',...
		'units','normal',...
		'position',[0.035  0.9  0.04  0.04],...
		'string','w0',...
		'fontsize',10,...
		'fontweight','bold',...
		'foregroundcolor','k',...
		'backgroundcolor','y');
%	cursore per variare la massa
% assegna alla variabile "pulsnat" il valore preso dal cursore
	pulsnat=uicontrol(...
		'style','slider',...
		'units','normal',...
		'position',[0.04  0.08  0.03  0.8],...
		'min',5,...
		'max',55,...
		'val',w0,...   % valore iniziale
		'call','traccia2'); 
   %	------------------------------------------------------
% 	cursore centrale: smorzamento delta
%	position: [x-iniz  y-iniz largh altezza]
	scrittasmorza=uicontrol(...
		'style','text',...
		'units','normal',...
		'position',[0.12  0.03  0.05  0.04],...
		'string','del',...
		'fontsize',10,...
		'fontweight','bold',...
		'foregroundcolor','k',...
		'backgroundcolor','c');
   % striscia, cursore 
   % assegna alla variabile "smorza" il valore preso dal cursore
	smorza=uicontrol(...
		'style','slider',...
		'units','normal',...
		'position',[0.2  0.03  0.7  0.04],...
		'backgroundcolor','y',...
		'min',0,...
		'max',5,...
		'val',del,...   % valore iniziale
      'call','traccia2');  
   %	------------------------------------------------------
	%  cursore di destra verticale
%	position: [x-iniz  y-iniz largh altezza]
	scrittawi=uicontrol(...
		'style','text',...
		'units','normal',...
		'position',[0.93  0.9  0.04  0.04],...
		'string','wi',...
		'fontsize',10,...
		'fontweight','bold',...
		'foregroundcolor','k',...
		'backgroundcolor','g');
 % assegna alla variabile "pulsforz" il valore preso dal cursore
	pulsforz=uicontrol(...
		'style','slider',...
		'units','normal',...
		'position',[0.94  0.08  0.03  0.8],...
		'min',10,...
		'max',50,...
		'val',wi,...   % valore iniziale
		'call','traccia2');

%	------------------------------------------------------
%  	pushbutton  <PUSH BUTTON>		 
	b1=uicontrol(...
		'style','pushbutton',...
		'foregroundcolor','y',...
		'backgroundcolor','r',...
		'units','normal',...
		'position',[0.5  0.94  0.1  0.04],...
		'string','FINE',...
 		'callback','close'); 
%	------------------------------------------------------
  
 	  
