%===============================================
%      funzione linea(x1,y1,x2,y2,col,spess)
% 
% (prof. Enzo Tonti; creato il 2 aprile 1997)
%-----------------------------------------------
% Traccia una linea da (x1,y1) a (x2,y2) 
% in colore "col" e di spessore "spess".

	function linea(x1,y1,x2,y2,col,spess);

% I tre puntini ... spezzano una lunga istruzione
% consentendo di andare a capo.

 	line([x1 x2],[y1 y2],'color',col,...
	      'era','back',...
		  'linewidth',spess);
		  
% (?) Le specifiche "era" e "back" non sono state
% trovate sul manuale: sono state prese da un demo
% per Windows (diverso dal demo per Macintosh).
% Servono per evitare che ad ogni linea tracciata
% col mouse si abbia il rinfresco della figura.
%-----------------------------------------------
% Ringrazio coloro che risolveranno i punti (?)
% e lo comunicheranno a  <tonti@univ.ts.it>.
% Saranno corretti e rimessi in rete.
%===============================================
