%--------------------------------------------------------
%                 oscillabello
% chiama:  traccia.m
%--------------------------------------------------------
%	mostra il grafico del moto oscillatorio per diversi valori dei parametri
	close
	clc
	clear all
	h0=figure(1);
	whitebg(h0,'black')
%	set(h0,'units','normal','position',[0.0 0.0 1 0.95]);
	set(h0,'units','normal','position',[0.5 0.5 0.5 0.45]);
	text(0.03,0.5,'per vedere un diagramma varia un parametro','fontsize',14)
	text(0.1,0.4,'m,k,h usando le relative freccette','fontsize',14)
%	------------------------------------------------------
%	parametri iniziali
	m=1; h=1; k=1;
% ---------------------------------------------------------------------
%  	condizioni iniziali   
  	x0 = 5;		% elongazione iniziale
	v0 = 2;    	% velocita' iniziale m/s
%	------------------------------------------------------
%	'position',[left, bottom, width, height] (p.631)
%	scritta a fianco del cursore (slider)
	scrittaMassa=uicontrol(...
		'style','text',...
		'units','normal',...
		'position',[0.04  0.9  0.03  0.04],...
		'string','m',...
		'fontsize',10,...
		'fontweight','bold',...
		'foregroundcolor','k',...
		'backgroundcolor','y');
%	cursore per variare la massa
	massa=uicontrol(...
		'style','slider',...
		'units','normal',...
		'position',[0.04  0.08  0.03  0.8],...
		'min',1,...
		'max',11,...
		'val',m,...   % valore iniziale
		'call','traccia'); 
%	------------------------------------------------------
% 	cursore centrale: smorzamento delta
%	'position',[left, bottom, width, height] (p.631)
% 	scritta testo
	scrittaSmorza=uicontrol(...
		'style','text',...
		'units','normal',...
		'position',[0.12  0.03  0.05  0.03],...
		'string','h',...
		'fontsize',10,...
		'fontweight','bold',...
		'foregroundcolor','k',...
      'backgroundcolor','c');
 % striscia, cursore  
   smorza=uicontrol(...
		'style','slider',...
		'units','normal',...
		'position',[0.20  0.03  0.7  0.03],...
		'min',0,...
		'max',10,...
		'val',h,...   % valore iniziale
		'call','traccia');
%	------------------------------------------------------
%	position: [x-iniziale  y-iniziale largh altezza]
%  cursore di destra verticale
scrittaRigidezza=uicontrol(...
		'style','text',...
		'units','normal',...
		'position',[0.94  0.9  0.03  0.04],...
		'string','k',...
		'fontsize',10,...
		'fontweight','bold',...
		'foregroundcolor','k',...
		'backgroundcolor','g');
	rigidezza=uicontrol(...
		'style','slider',...
		'units','normal',...
		'position',[0.94  0.08  0.03  0.8],...
		'backgroundcolor','y',...
		'min',1,...
		'max',11,...
		'val',k,...   % valore iniziale
		'call','traccia');  
%	------------------------------------------------------
%  	pushbutton  <PUSH BUTTON>		 
	b1=uicontrol(...
		'style','pushbutton',...
		'foregroundcolor','y',...
		'backgroundcolor','r',...
		'units','normal',...
		'position',[0.5  0.94  0.1  0.04],...
		'string','FINE',...
 		'callback','close'); 
%	------------------------------------------------------
  
 	  
