%	-------------------------------------------------------------- 
%   		fattore di amplificazione dinamica
%							ampli2.m
%	-------------------------------------------------------------- 
	clear 	% azzera le variabili in memoria
	clc		% pulisci finestra di testo
%	-------------------------------------------------------------- 
%					seleziona modalita' grafiche 
%	-------------------------------------------------------------- 
% 	chiudi finestra grafica precedente	
	close		
% 	apre una finestra grafica di dimensioni volute
	h1 = figure(1); 	
 %	set(h1, 'Units', 'normalized', 'Position', [0 0.5 0.45 0.5]);
	set(h1, 'Units', 'normalized', 'Position', [0 0  1  0.96]);
% 	colore di fondo
  	whitebg(h1, 'black')
% 	colore della cornice
%  	set (gcf,'Color',[0.90	0.60	0.30]) % dopo "whitebg"
%	assi di dimensioni volute
	axis([0 3 0 6] );  % [xmin xmax ymin ymax]
%	"hold on" consente piu' tracciamenti sulla stessa finestra
	hold on
%	-------------------------------------------------------------- 
%					traccia i grafici
%	-------------------------------------------------------------- 
%	crea il vettore delle ascisse
 	X=0:0.01:3;	
% 	"e" = costante di smorzamento/pulsazione naturale
%	notare che la variabile nel ciclo "for"  non e' 
%	necessariamnte intera
	for e=0.1:0.1:2   
		Y=1./sqrt((1-X.^2).^2+(2*e*X).^2);
		plot(X,Y,'cyan'); 
   end
%	-------------------------------------------------------------- 
%					linee
%	-------------------------------------------------------------- 
	line([1  1],[0 6],'color', [1.00 0.62 0.40]);
	line([0  3],[1 1],'linewidth',2,'color','green');
%	--------------------------------------------------- 
%					scritte
%	-------------------------------------------------------------- 
 	text(1.1,5,'e=0.1','fontsize',18,'fontname','times');
	text(1.25,2.5,'e=0.2','fontsize',18,...
					'fontname','helvetica');
 	h3=title('fattore di amplificazione dinamica');
 	set(h3,'fontsize',18,'color','white','fontname','times');
 %	--------------------------------------------------- 
%					ingresso
%	-------------------------------------------------------------- 
	[x , y]= ginput(1)
	text(x,y,'ciao')
	

