%-----------------------------------------------
% Cerimonie di apertura della pagina grafica:
% Azzera le variabili in memoria (opportuno)
	clear;  
% Pulisci la figura (clf   =   cLcear  f-igure)
 	clf;       
% Fissa il colore dello sfondo
 % figura a pieno schermo
	h1 = figure(1)	;
  %	set(h1,'Units','normalized','Position',[0 0 1 1]);
% ( gcf  =  g-et c-urrent f-igure handle)  'w' e' il colore bianco (White)
%  	set(gcf,'Color','w' );  % deve precedere axis
 %	set(a ,'fore','k');  non va
	% whitebg(a,'k')
% fissa e traccia gli assi	
	% axes('position',[0.04 0.04 0.95 0.95]);
	axis( [0 1 0 0.8] );  % [xmin xmax ymin ymax]
	axis equal
%-----------------------------------------------
% Ciclo di tracciamento.
	hold on;
 % traccia il vincolo circolare
 	a = 0.40 ;  b = 0.32 ;  r = 0.30 ;  % tutto in metri
	s = [0:0.02:2*pi] ;   x = a+r*cos(s) ;   y = b+r*sin(s) ; 
	plot(x,y,'k') ;
	clear s;
 
% traccia angolo limite 48 gradi
	x1 =a+ r*sin(48*pi/180); y1 =b+ r*cos(48*pi/180); 
	line([a x1],[b y1],'color','k');
	line([a a],[b b+1.3*r],'color','k');
	
% dati fisici	
	m = 0.01 ;  % kg
	g = 9.81 ;  % m/s^2
	dt = 0.01 ;  % s
	fs = 0.4 ;  % cm/N
	v0 = 0.02 ;  % m/s
	
	t = 0 ; 
	Th = 0 ;  Om = v0/r ;  % valori iniziali angolo e velocita' angolare
	Reaz = -1 ; % valore fasullo per il ciclo while
%	
 
 	while Reaz <=  0 
		Reaz = m*v0^2/r+2*m*g*(2-3*cos(Th) ); % esterno:  negativa
		x = a+r*sin(Th) ;  y = b+r*cos(Th) ; 
		xx = a+(r-Reaz*fs)*sin(Th) ; yy = b+(r-Reaz*fs)*cos(Th) ; 
		pallina(x,y,'b')

%		h2 = plot(x,y,'.') ;   set(h2,'linewidth',6,'color','r' ) ; 
 		h4 = line([x xx], [y yy]); set(h4,'linewidth',1,'color','r' );
		Om1 = Om+g/r*sin(Th) *dt ; Th1 = Th+Om*dt ;  		
		Om = Om1 ;
		  Th = Th1 ; t = t+dt ; 
		Reaz = m*v0^2/r+2*m*g*(2-3*cos(Th) ); % esterno:  negativa
	end ; 
		
	t0 = t ; x0 = x ; y0 = y ; v0 = Om*r;  
	pallina(x0,y0,'b')
	vx0 = v0*cos(Th) ;  vy0 =- v0*sin(Th);  
	y=80; % valore fasullo per il while 
	
  	while  y>0
 		t = t + dt;
 		x = x0 + vx0*(t-t0) ;
		y = y0 + vy0*(t-t0) - g*(t-t0)^2 /2; 
 		pallina(x,y,'b')
%		h3 = plot(x,y,'.') ; set(h3,'linewidth',6,'color','r' ) ; 
 	end
%--------------fine--------------






