%	-----------------------------------------------------------------
%   	relativistica.m : relazione quantit di moto - velocit
%	nel caso classico e in quello relativistico
%	----------------------grafica--------------------------------- 
	close ; h1 = figure(1) ; 	
%	set(h1, 'Units', 'normalized', 'Position', [0 0  1  0.96]) ; 
 	set(h1, 'Units', 'normalized', 'Position', [0.5 0.5 0.45 0.5]);
	hold on ; zoom on ; 
 	axis equal ; axis([0 100 0 25] ) ;  % [xmin xmax ymin ymax]
%	------------------ dati ----------------------------------- 
	m = 0.6 ; 			% massa (a riposo) (unit arbitarrie)
	c = 30 ; 			% velocit della luce (unit arbitarrie)
	fp =  0.25 ; 		% fattore scala per le quantit di moto
 	xA = 4 ;  yA = 4 ; 	% origine assi sinistra
	xB = 60 ;  yB = yA ; 	% origine assi destra
	V = 0 : 1 : 29 ; 	 %	array delle ascisse (velocit)
%	------------------grafici----------------------------------- 
%	assi cartesiani di sinistra	
	vettoreX(xA, yA, 36, 'k', 1, 1.6 , 1); % ... spess, sL, sN
	vettoreY(xA, yA, 18, 'b', 1, 1.6 , 1); % ... spess, sL, sN
%	diagramma classico	
	P  = m * V ; 
	X = xA + V ;  Y = yA + P * fp ; 
 	plot(X, Y, 'r', 'linewidth', 2) ; 
%	assi cartesiani di destra
	vettoreX(xB, yB, 36, 'k' , 1, 1.6 , 1); % ... spess, sL, sN
	vettoreY(xB, yB, 18, 'b', 1,  1.6 , 1);  % ... spess, sL, sN
%	diagramma relativistico	
	Pr  = m * V ./ sqrt(1-V .* V / (c*c) ) ; 
	Xr = xB + V ;  Yr = yB + Pr * fp ; 
 	plot(Xr, Yr, 'r', 'linewidth', 2) ; 
%
	plot(Xr, Y, 'r:', 'linewidth', 1) ; % classico tratteggiato
%	asintoto per v =  c
  	plot([xB+30, xB+30], [ yB, yB+20], 'color',  'b', 'linestyle', '-.') ; 
%	----------------scritte---------------------------- 
 	h2 = text(xA+35 ,yA+2,'v'); h2 = text(xA+1.6,yA+ 17,'p');
 	h2 = text(xB +35 ,yB+2,'v'); h2 = text(xB+1.6,yB+ 17,'p');
	set(h2, 'fontsize',12,'fontname','times');
%	----------------------------------------------------------  fine
