%===============================================
%                 rot3D
% (prof. Enzo Tonti; creato il 2 aprile 1997)
% (utilizza gli script:  "linea3"  e  "ruota3D")
% La presentazione degli angoli di Eulero  
% si trova in "ruota3D".
%-----------------------------------------------
% Mostra una terna fissa X,Y,Z ed una terna
% ruotata x,y,z usando gli angoli di Eulero.
    clear
	close
% [ Xmin  Xmax  Ymin  Ymax   Zmin  Zmax ]	
	axis( [-10 10  -10 10  -10 10 ] )
% 	axis off % non traccia gli assi graduati
 	axis on %  traccia gli assi graduati
 	axis equal %  immagine isometrica
% assi X,Y riferimento fisso
	linea3(-10,0,0,10,0,0,'y',2);
	linea3(0,-10,0,0,10,0,'y',2);
	linea3(0,0,-10,0,0,10,'y',2);
% scrivi il nome dell'asse in colore prefissato
	text(10,0,0,' X','color', 'y');
	text(0,10,0,' Y','color', 'y');
	text(0,0,10,' Z','color', 'y');
% (?) si noti che il titolo deve venire dopo 
% le istruzioni grafiche: ma con quale regola?
% scrivi il titolo in colore prefissato
	set(gcf,'DefaultTextColor','y')
    title('Angoli di Eulero');

% traccia assi ruotati 
	phi =   30;   % gradi
	theta = 30;   % gradi
	psi =   80;   % gradi
% estremi degli assi x ed y ruotati
	[a, b, c] = ruota3D(10,0,0,phi, theta, psi);
	linea3(0,0,0,a,b,c,'c',2);
	text(a,b,c,' x','color', 'c');
	
	[a, b, c] = ruota3D(0,10,0,phi, theta, psi);
	linea3(0,0,0,a,b,c,'c',2);
	text(a,b,c,' y','color', 'c');
	
	[a, b, c] = ruota3D(0,0,10,phi, theta, psi);
	linea3(0,0,0,a,b,c,'c',2);
	text(a,b,c,' z','color', 'c');
%-----------------------------------------------
% ringrazio coloro che risolveranno i punti (?)
% e lo comunicheranno a  <tonti@univ.ts.it>.
% Saranno corretti e rimessi in rete.
%===============================================
