%	===============================================
%               rot3D1  
%	===============================================
% 	La presentazione degli angoli di Eulero si trova in "ruota3D".
% 	Assegnata una terna fissa X,Y,Z si vuole
% 	visualizzare sia essa che una seconda terna 
% 	x,y,z la cui orientazione e' data dai tre
% 	angoli di Eulero 'phi', 'theta', 'psi'      dati in  GRADI !
%	----------modalit grafica--------------
	close all;	
	h1 = figure(1) ; 	
	set(h1, 'Units', 'normalized', 'Position', [0.5  0.5  0.5 0.5]) ; 
	hold on ; pause on   
  	L=20;	
	axes('view',[140 40]);	% in gradi
	axis( [-L L  -L L  -L L ] )
%	axis equal ;  %
% punto di vista: [azimut  elevazione]
% ---------------------------------------------------------
% assi X,Y riferimento fisso
 	plot3([ 0  L],[0  0],[0  0],'color','b','era','back','linewidth',1);
 	plot3([ 0  0],[0  L],[0  0],'color','r','era','back','linewidth',1);
 	plot3([ 0  0],[0  0],[0  L],'color','g','era','back','linewidth',1);
	axes('view',[140 40]);	% in gradi
	axis( [-L L  -L L  -L L ] )
% scrivi i simboli degli assi in colore prefissato
	text(L,0,0,'X  ','color', 'b'); 
	text(0,L,0,' Y','color', 'b');
	text(0,0,L,' Z','color', 'b');
% (?) si noti che il titolo deve venire dopo 
% le istruzioni grafiche: ma con quale regola?
% scrivi il titolo in colore prefissato
	title('Angoli di Eulero');
pause	
% traccia assi ruotati (angoli di Eulero)
	phi = 30;   % gradi
	theta =0;   % gradi
	psi = 0;   % gradi 
	
% estremi degli assi x ed y ruotati
	[a1, b1, c1] = ruota3D(L,0,0,phi, theta, psi);
% plot3([ 0  a],[0  b],[0  c],'color','b','era','back','linewidth',3);
	plot3([ 0  a1],[0  b1],[0  c1],'color','b','era','back','linewidth',3);
	text(a1,b1,c1,' x','color', 'r');
	
	[a2, b2, c2] = ruota3D(0,L,0,phi, theta, psi);
	plot3([ 0  a2],[0  b2],[0  c2],'color','b','era','back','linewidth',3);
	text(a2,b2,c2,' y','color', 'r');
	
	[a3, b3, c3] = ruota3D(0,0,L,phi, theta, psi);
	plot3([ 0  a3],[0  b3],[0  c3],'color','b','era','back','linewidth',3);
	text(a3,b3,c3,' z','color', 'r');
   	
% traccia una pallina nel punto che ha
% come coordinate locali
	x = 5;   y= 8 ; z=10;
	[U ,V, W] = ruota3D(x,y,z,phi, theta, psi) ;
 	plot3(U,V,W,'wo');
 	text(U,V,W,'   P','color', 'w');
%----------------------------------------------- fine

