% Programma Scodella
%
% questo programma disegna una scodella con un asta al suo
% interno e fa vedere che la posizione di equilibrio E' quella
% in cui il baricentro assume la posizione piu bassa possibile.
%
  	close  	% chiude la finestra grafica 
% 	clf  		% pulisce la finestra grafica 
  	clear 	% libera la memoria
	clc 		% pulisce finestra comandi  
	hold on % mantiene tutti i disegni sulla stessa finestra 
%	pause off ;
	pause on;

%-----------------------------------------
% tabella dei colori
%-----------------------------------------
	rosa		= [1 .4 .35];
	grigio	= [.65 .65 .65];
	rossoscuro	= [.5 0 0 ];
	rossochiaro	= [.5 0 0 ];
	rame		= [1 .65 .4];
	acquamarina	= [.45 1 .85];
	arancione	= [1 .4 .1];
%-----------------------------------------
% dati del problema 
%-----------------------------------------
	p = 15;   	% peso dell'asta in newton
	L = 25;   	% lunghezza dell'asta in centimetri
	r = 10;   	% raggio della scodella in centimetri
	fsf=0.5;	% fattore scala forze
%-----------------------------------------
% 	disegno la scodella
%-----------------------------------------
% intervallo di calcolo per il disegno
	t = pi: pi/100 :2*pi;  

% equazione parametrica della scodella
	x = r*cos(t);  y = r*sin(t);    

% il plot non accetta parametri di spessore per cui
% un modo per assegnarlo e' il seguente
	h = plot(x,y); set(h,'color',rame,'linewidth',4);

	xC = 0;   	yC = 0;  	% coordinate del centro,
	xD = 10;   	yD = 0;  	% dell'estremo destro
	xS = -10; 	yS = 0;  	% e sinistro della scodella

% devono essere assegnate dopo un plot
	title('ASTA NELLA SCODELLA')
     %   text('fontsize','6')
	xlabel('scala in centimetri')

