%===============================================
%               scala_1 
%-----------------------------------------------
% Disegna una scala (due aste incernierate e 
% appoggiate al pavimento). La scala e' tenuta 
% da una molla che congiunge i punti medi delle 
% due aste e soggetta ad una forza verticale 
% sulla cerniera centrale.
%	----------modalita' grafica--------------
	close ; h1 = figure(1) ; 	
%	set(h1, 'Units', 'normalized', 'Position', [0  0  1  1]) ; 
	set(h1, 'Units', 'normalized', 'Position', [0.5  0.5  0.5  0.5]) ; 
 	set(gcf,'Color','k'); 
	hold on ;  pause on ;  axis off
	axis equal ;      	axis([0 6 0 6]);
% 	 ---------------------  Dati  ----------------------------
	a = 20 *pi/180 ;  	% angolo di apertura
	L = 6;				% lunghezza asta in metri
% 	----------- coordinate dei vertici -------------------	
	xC = 3;  yC = L*cos(a); 	
 	xD = xC - L*sin(a);   	yD = 0;
	xA = xD + L/2*sin(a) ;  yA = yD + L/2*cos(a);	
	xB = xD + 3*L/2*sin(a); yB = L/2 * cos(a);	
 	xE = xD + 2*L*sin(a);  	yE = 0; 	
% 	--------------------aste e cerniere-------------------	
	plot(xC,yC,'yo');
	line([xD  xC],[yD  yC],'color','y','linewidth', 2);
 	line([xE  xC],[yE  yC],'color','y','linewidth', 2);
 	line([xA  xB],[yA  yB],'color','r','linewidth', 2);
% 	------------------- forze -----------------------------	
   	f_forza(xC,yC,0,-5); 
    	f_forza(xA,yA,0,-3); 
     	f_forza(xB,yB,0,-3); 
% 	-------------------- scritte --------------------------------	
% le scritte si devono mettere DOPO il tracciamento		
 	text(xA-0.4,yA,'A','color','c','fontsize',18);
 	text(xB+0.1,yB,'  B','color','c','fontsize',18);
 	text(xC,yC,'  C','color','c','fontsize',18);
 	text(xD-0.4,yD+0.2,'D','color','c','fontsize',18);
 	text(xE+0.1,yE+0.2,'E','color','c','fontsize',18);
%-----------------------------------------------

  
 
