%======= INIZIO ================================
%              scala_2
%-----------------------------------------------
 	% clear
	% clc   
% Il programma si propone di mostrare come varia la forza 
% (applicata alla cerniera di una scala la cui apertura  controbilanciata
% da una molla trasversale) in funzione dell' angolo di apertura.
% Indichiamo l'angolo di semiapertura con alfa:  [0 < alfa < 90]
% Per poter fare il grafico effetuiamo la discretizzazione
	alfa = 0 :  0.005 :  pi/2; 

% Tramite interpolazione dai dati sperimentali con una
% legge affine data dalla relazione F(x) = a + b x sono stati
% ricavati i seguenti valori numerici:
    a= -3.77;
	b=  0.11; 
		
% Il peso p delle aste e' (espresso in newton) 
	p= 3;  % N

% lunghezza delle aste (espressa in centimetri)
	L= 115; % cm  
		
% La legge secondo cui varia la forza
	f = -p + a ./ tan(alfa) + b * L * cos(alfa);
			 	 
% close
 	figure(1)
	h=plot(alfa,f,'y-' ); set(h,'linewidth',2); 
% scrivi sugli assi 
  	xlabel('ampiezza angolo (rad)'); 
	ylabel('forza (N)');
% colore degli assi
% ( gca = g-et c-urrent a-xis handle) 
	set (gca,'XColor','w', 'YColor','w' )
% [ Xmin  Xmax  Ymin  Ymax ]	
	axis( [0 pi/2 0 2.5] )
%============================ FINE =============




