%	             serie di Fourier
%	---------------------- attiva la grafica ----------------
	close ; h1 = figure(1) ; 	
 	set(h1,'Units','normalized','Position',[0  0  1  0.9]) ; 
%	set(h1,'Units','normalized','Position',[0.5  0.5  0.5  0.4]); 
	hold on ; zoom on ; pause on
	whitebg('black')
% 	---------------------  Dati  ----------------------------
%   Calcola i primi 800 coefficienti dello sviluppo in serie 
%   di Fourier della funzione a "dente di sega"
    for k=1:800  
		b(k)= -2*((-1)^(k)-1)/(k*pi); % calcolo dei coefficienti
	end
	t = -3*pi : 0.01 : 3*pi; % discretizza asse dei tempi 
% 	-------------------
    subplot(2,2,1)	% quadro 3 (basso-sinistra)
 	s=0;	% somma iniziale
	for k=1:6  
		s=s+b(k)*sin(k*t); %	somma i termini 
	end
    plot(t,s)	% traccia il grafico
	axis equal
    title('6 termini','fontsize',18)
% 	-------------------
    subplot(2,2,2)	% quadro 4 (basso-destra)
 	s=0;	% somma iniziale
	for k=1:20    
		s=s+b(k)*sin(k*t); %	somma i termini 
	end
    plot(t,s)	% traccia il grafico
	axis equal
    title('20 termini','fontsize',18)
% 	-------------------
    subplot(2,2,3)	% quadro 3 (basso-sinistra)
 	s=0;	% somma iniziale
	for k=1 : 64    
		s=s+b(k)*sin(k*t); %	somma i termini 
	end
    plot(t,s)	% traccia il grafico
	axis equal
    title('64 termini','fontsize',18)
% 	-------------------
    subplot(2,2,4)	% quadro 4 (basso-destra)
 	s=0;	% somma iniziale
	for k=1:800    
		s=s+b(k)*sin(k*t); %	somma i termini 
	end
    plot(t,s)	% traccia il grafico
	axis equal
    title('800 termini','fontsize',18)
% 	------------------- fine ---------------------------------

	
	
