%       		CAMPODIREZ
%---------------------------------------------------------
%  Data una equazione differenziale del primo ordine in forma normale, y'=f(x,y) 
%  e considerati i nodi di un reticolo cartesiano, si traccia in ciascuno di essi
%  la direzione della tangente alla linea passante per il punto.
%	----------modalit grafica--------------
	close ; h1 = figure(1) ; 	
	set(h1, 'Units', 'normalized', 'Position', [0  0  1 1]) ; 
	hold on % indispensabile: traccia su una stessa pagina grafica
	axis([0  9  0  7]);
% ------------------------------------------------------		
% Costruiamo un reticolo di punti 
	p = 0.4; % passo del reticolo
	c = 0.2;  % semilunghezza trattini
 	X = 0 : p : 8; 	n=size(X,2); 	% primo array e numero di elementi
	Y = 0 : p : 6;  	m=size(Y,2);	% secondo array e numero di elementi
%	-----------------------------------------------------------
 	for j=1:m;  
		y= j*p;	
 		for i=1:n
			x = i*p;	
			plot(x,y,'b.','linewidth',5,'era','back')
 			% funzione:  y = 18 x exp(-x)
   	 		deriv = 18*exp(-x) - y;		% derivata della funzione
				d = 1/sqrt(1+deriv*deriv); 	% coseno dell'angolo
 	   		ca = c*d;  sa=c*d*deriv;  	% proiezioni dei semitrattini
 	   		x1 = x-ca; y1=y-sa; 		% primo estremo del trattino
 	   		x2 = x+ca ; y2=y+sa;		% secondo estremo del trattino
 	   		plot([x1  x2],[y1  y2],'r','linewidth',1,'era','back')
		 end;  
 	end
% ------------------------------------------------------		
