  	function [Dx,Dp] = f_armonico(h, t, x, p);
 	global   c  k  m	  
%	------------------------------------------------------------------------  
% 	richiamata da: 
%	"confr_celle_altri_OK.m"
%	"confr_celle_altri_ordine_OK"
%	per l'equazione dei moti armonici: m x''(t) = - k x(t) - c v(t)
%	scritta come sistema dinamico 	
%	x'(t)=F[ t, x(t),  p(t) ] 		x'(t) = v         v=p(t)/m
%	p'(t)=G[ t, x(t),  p(t) ]		p'(t) = -k x(t) - c v 
%	------------------------------------------------------------------------  
	v = p/m;
	Dx = +h * v; 
	Dp = - h * ( k*x+c*v);

