function [freccia, inclinazione, x]=f_astaDeform(n, colore)
	global h  c  L

	a = L/n;	% lunghezza di ogni concio
	
%	        h=1		  h=2	    h=3	      h=4
%	o========o========o========o========o
%  k=1		k=2		  k=3		     k=4              k=5

% 	y(k) =  abbassamento del nodo
%	inclin(h) =  inclinazione del concio
%	r(h) =  rotazione del concio
%	W(k) =  integrale del momento flettente fra i punti medi di due conci adiacenti
%	w= curvatura (W/a)
%   	W(k)  = -	1/(E*J)   integrale   M(x)  dx
%		   = -	1/(E*J)  integrale   P/(2*L) (L-x)^2
%	W(k) =	1/(E*J) * P/(2*L) * 1/3* ( (L-k*a-a/2)^3 - (L-k*a+a/2)^3  );
%
% 	"carico" cumulativo nei nodi	
	W(1) =   c/3 *( (L-a/2)^3 - L^3 );
	for k=2:n; 
		W(k) =   c/3 *( (L-k*a-a/2)^3 - (L-k*a+a/2)^3 );
	end
% 	inclinazioni delle aste
	inclin(1)=W(1); 
	for h=2:n ; 
		inclin(h)=inclin(h-1)+W(h); 
	end
%	abbassamenti nei nodi	
	y(1)=0; 
	for k=2:(n+1)
		y(k)=y(k-1)+inclin(k-1)*a;
	end
	
	x(1)=0; 
	for k=2:(n+1)
		x(k)=(k-1)*a;
	end

 	plot (x,y,colore)
	
	freccia=y(n+1);
	inclinazione=inclin(n) ;
