% richiamato da "interpola_circolazione.m"
% Questo programma calcola la circolazione di un campo vettoriale affine 
%	u(x,y) = a +b x +c y	v(x,y) = d + e x + f y		
% lungo un segmento che va dal punto P1(x1,y1) al punto P2(x2,y2).
% precisamente valuta i coefficienti A,B,C,D,E,F
% della circolazione	Circ = A a + B b + C c + D d + E e + F f 
% chiamata da interpola_circolazione.m
	function [A,B,C,D,E,F]=f_circola(x1,y1,x2,y2)
	A = (x2-x1);
	B = x1*(x2-x1)+ (x2-x1)^2 /2;
	C = y1*(x2-x1)+ (y2-y1)*(x2-x1)/2;
	D = (y2-y1);
	E = x1* (y2-y1)+(x2-x1)*(y2-y1)/2;
	F = y1*(y2-y1)+ (y2-y1)^2 /2;
