% chiamato da "esplora.m"
function  [rms]=f_esploraParabolico(s,csiOtto,etaNove)
% 	ogni due intervalli c'e' un quadrato
	a= s/2;  	% numero dei triangoli di ogni riga
	nb=s+1;	% numero dei nodi per riga
	p=1/s;	% passo
%	-----------------------------------------------------------
% 	formazione della matrice dei nodi
%	-----------------------------------------------------------
	k=0;
 	for j=1:(s+1)
		for i=1:(s+1)
			k=k+1;
			N(k,1)=p*(i-1); 
			N(k,2)=(j-1)*p;
		end
 	end
	Nmax=size(N,1); % <------ numero di nodi

%	-----------------------------------------------------------
% 	formazione della matrice dei triangoli
%	-----------------------------------------------------------
% 	(mi ha fatto molto tribolare)
	for t=1 : (2*a*a)
 	 	if rem(t,2)==0 % pari
			volte=fix(t/s);     %numero file di quadratoni che precedono 
			resto=rem(t,s);   
 			if resto==0
 				k=nb* 2*(volte-1)+s-1;
			else
 				k=nb*(2*volte)+resto-1;				
  			end		
 			E(t,1)= k;
			E(t,2)= k +2*nb+2;	
			E(t,3)= k+2*nb;	
			E(t,4)= k+ nb+1;
			E(t,5)= k+2*nb+1;	
			E(t,6)= k+ nb ;
%      			fprintf('t=%2.0f  k=%2.0f  E=[ %2.0f  %2.0f  %2.0f  %2.0f  %2.0f  %2.0f ] \n',...
% 					t,k,E(t,1),E(t,2),E(t,3),E(t,4),E(t,5),E(t,6));			
 		else   % dispari
			volte=fix(t/s);   %numero file di quadratoni che precedono    
			resto=rem(t,s);   
 			k=nb*(2*volte)+resto;
 			E(t,1)= k;
			E(t,2)= k+2;	
			E(t,3)= k+2+2*nb;	
			E(t,4)= k+1;
			E(t,5)= k+2+nb;	
			E(t,6)= k+2+nb-1;	
%    			fprintf('t=%2.0f  k=%2.0f  E=[ %2.0f  %2.0f  %2.0f  %2.0f  %2.0f  %2.0f ] \n',...
% 					t,k,E(t,1),E(t,2),E(t,3),E(t,4),E(t,5),E(t,6));
end
	end	
	Emax= size(E,1);  % <------ numero di elementi

%	-----------------------------------------------------------
% 	numerazione dei nodi di bordo 
%	---------------------------------------------------------
% 	creo un vettore i cui elementi sono i nodi di bordo
	for i=1:nb
		bordo(i)=i;
	end
	for i=(nb+1):(nb+s+1)
		bordo(i)=bordo(i-1)+nb;
	end
	for i=(nb+s+1):(nb+2*s)
		bordo(i)=bordo(i-1)-1;
	end
	for i=(nb+2*s+1):(nb+3*s-1)
		bordo(i)=bordo(i-1)-nb;
	end
	Nbordo=nb+3*s-1;

%	----------------------------------------------------------- 
%	soluzione proposta:  
%	----------------------------------------------------------- 
	Ue=zeros(1,Nmax); % azzera tutti i  valori nodali 
%	valori della funzione (soluzione esatta Ue) nei nodi di bordo
% 	for k=1: Nmax; x=N(k,1); y=N(k,2); Ue(k)=x+y;  end
%	for k=1: Nmax; x=N(k,1); y=N(k,2); Ue(k)=x*x*x-3*x*y*y; end
	for k=1: Nmax; x=N(k,1); y=N(k,2); Ue(k)=exp(x)*cos(y); end
%	-----------------------------------------------------------
% 	inizializza a zero la matrice fondamentale globale KK
%	KK=zeros(Nmax,Nmax);
	KK=sparse(Nmax,Nmax,0); % di tutti 0
%	-----------------------------------------------------------
%	  MATRICE FONDAMENTALE GLOBALE
%	-----------------------------------------------------------
%	costruisci la matrice fondamentale globale 
%	componendo gli elementi uno alla volta
%>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
for e=1:Emax 
	% i sei nodi del triangolo: passaggio 
	% dalla numerazione locale (h,i,j,p,q,r)
	% a quella globale (1,2,....8,9)
	h=E(e,1);	i=E(e,2);	j=E(e,3); p=E(e,4);	q=E(e,5);	r=E(e,6);
	% coordinate cartesiane dei tre vertici
	xh=N(h,1);	yh=N(h,2);	
	xi=N(i,1);	yi=N(i,2);	
	xj=N(j,1);	yj=N(j,2);
 	A=det([	1  xh  yh; 
			1  xi  yi; 
			1  xj  yj])/2; 
 	m1=(yj-yi)/(2*A); 	p1=(xi-xj)/(2*A);
	m2=(yj-yh)/(2*A); 	p2=(xh-xj)/(2*A);
	m3=(yh-yi)/(2*A);	p3=(xi-xh)/(2*A);	
%	----------------------------------------------------------- 
%	matrice X: esprime le componenti del gradiente 
%	nei tre vertici 
%	[gx(1),gy(1),gx(2),gy(2),gx(3),gy(3)]'
%	in funzione dei valori di u nei sei nodi: 
%	[u1, u2, u3, u4, u5, u6]'
%	X dipende dalle sole coordinate dei vertici
%	dei singoli triangoli
	X=[	-3*m1  -m2  -m3  4*m2  0  4*m3
		-3*p1  -p2  -p3  4*p2  0  4*p3
		m1  3*m2  -m3  -4*m1  4*m3  0
		p1  3*p2  -p3  -4*p1  4*p3  0
		m1  -m2  3*m3  0  4*m2  -4*m1
		p1  -p2  3*p3  0  4*p2  -4*p1]/(2*A);   
%	----------------------------------------------------------- 
%   matrice M dipende dalle sole coordinate dei vertici 
%	dei singoli triangoli
	M  = [	m3	p3	0  	0  	0  	0
			-m2 -p2	0	0  	0  	0
			0  	0	m3	p3	0  	0
			0  	0	-m2	-p2	0  	0 
			0	0	0	0  	m3  p3
			0	0	0	0	-m2	-p2];
%	----------------------------------------------------------- 
%  	valori in ventiquattresimi: alla fine tutto da dividere per 24
	csi(1)= 0; 			eta(1)=0;
	csi(2)= 24; 			eta(2)=0;
	csi(3)= 0; 			eta(3)=24;
	csi(4)= 12; 			eta(4)=0;
	csi(5)= 12; 			eta(5)=12;
	csi(6)= 0; 			eta(6)=12;
	csi(7)= 8; 			eta(7)=8;
	%  	baricentrica: 	csi(8)=4,eta(9)=6 
	%	aree uguali: 	csi(8)=6,eta(9)=8
	%	punti di Gauss	csi(8)=6*(1-1/sqrt(3))
	%					eta(9)=12*(1+1/sqrt(3))
	% 0.5773502692
	csi(8)=csiOtto; % < 
							eta(8)= csi(8);
	csi(9)= 0; 
							eta(9)= etaNove; %<
	csi(10)= eta(9); 			eta(10)=0;
	csi(11)= csi(8); 			eta(11)=24-eta(8)-csi(8);
	csi(12)= 0; 				eta(12)=24-eta(9);
	csi(13)= csi(10); 			eta(13)=24-csi(10);
	csi(14)= 24-csi(10); 		eta(14)=0;
	csi(15)= csi(14); 			eta(15)=eta(9);
	csi(16)= 24-eta(8)-csi(8); 	eta(16)=eta(8);
%
	for k=1:16
		csi(k)=csi(k)/24; 	eta(k)=eta(k)/24; 
	end
%	-----------------------------------------------------------
%				CALCOLO DEI FLUSSI
%	-----------------------------------------------------------
%	calcolo le aree e i flussi
%	E  un vettore riga
  	c1(1)=csi(9);  	e1(1)=eta(9);  		c2(1)=csi(8);	e2(1)=eta(8); % a[9-8]
 	c1(2)=csi(10); 	e1(2)=eta(10);		c2(2)=csi(8); 	e2(2)=eta(8); % b[10-8]
 	c1(3)=csi(14); 	e1(3)=eta(14);		c2(3)=csi(16); 	e2(3)=eta(16);% c[14-16]
	c1(4)=csi(15); 	e1(4)=eta(15);		c2(4)=csi(16); 	e2(4)=eta(16);% d[15-16]
 	c1(5)=csi(13); 	e1(5)=eta(13);		c2(5)=csi(11); 	e2(5)=eta(11);% e[13-11]
 	c1(6)=csi(12); 	e1(6)=eta(12);		c2(6)=csi(11); 	e2(6)=eta(11);% f[12-11]
 	c1(7)=csi(8); 	e1(7)=eta(8);		c2(7)=csi(7); 	e2(7)=eta(7); % g[7-8]
 	c1(8)=csi(16);	e1(8)=eta(16);		c2(8)=csi(7); 	e2(8)=eta(7); % h[16-7]
 	c1(9)=csi(11); 	e1(9)=eta(11);		c2(9)=csi(7); 	e2(9)=eta(7); % i[11-7]
%
	for k=1:9 % numerazione dei lati dei poligoni
 		cM=(c1(k)+c2(k))/2; eM=(e1(k)+e2(k))/2;  % punto medio
		L=[c1(k)-c2(k)   e1(k)-e2(k)]; % aree
		Z=[	1-cM-eM 	   0   	cM   0  	eM   0
			0  		1-cM-eM  	0  	cM  	0  	eM];
		R=L*Z;
		%  per ognuna delle nove linee da' i flussi
		for i=1:6
			F(k,i)=R(i); %   
		end
	end
%	----------------------------------------------------------- 
%   Q = matrice numerica che raccoglie i flussi nodali 
%   indipendentemente dalle coordinate cartesiane dei vertici
	for j=1:6
 		Q(1,j)=F(2,j)-F(1,j);
		Q(2,j)=F(4,j)-F(3,j);
 		Q(3,j)=F(6,j)-F(5,j);
		Q(4,j)=F(3,j)+F(8,j)-F(7,j)-F(2,j);
		Q(5,j)=F(5,j)+F(9,j)-F(8,j)-F(4,j);
		Q(6,j)=F(1,j)+F(7,j)-F(9,j)-F(6,j);
	end
%	----------------------------------------------------------- 
% 	matrice fondamentale locale K  
 	K = Q*M*X;
%	----------------------------------------------------------- 
%	matrice fondamentale globale
	for f=1:6
		for g=1:6
			KK(E(e,f),E(e,g))=KK(E(e,f),E(e,g))+K(f,g);
		end
	end
end % del ciclo sugli elementi
%	<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
%	Dobbiamo assegnare i valori esatti sui nodi di bordo. 
%	"i"  il numeratore dei nodi di bordo.
	for i=1:Nbordo; g=bordo(i); U(g)=Ue(g); end;
% 	la matrice fondamentale KK ha Nmax x Nmax elementi
%	Le  equazioni corrispondenti ai nodi di bordo  devono essere 
%	del tipo  U(k)=Ue(k). Questo porta a sostituire in quelle equazioni 
%	i coefficienti KK(g,f)=0
%	salvo il termine KK(g,g)=1
	for i=1:Nbordo
		g=bordo(i);
		for f=1:Nmax
			KK(g,f)=0;
		end
		KK(g,g)=1;
	 	B(g)=Ue(g); % termini noti
	end
%	nelle rimanenti equazioni si portano a destra i contributi KK(g,f)*U(f)
%	e si azzerano i corrispondenti coefficienti
	for k=1:Nmax
% 		vediamo se l'equazione k-esima  relativa ad un nodo di bordo
		cerca=find(bordo == k); % cerca nell'array "bordo" se esiste un
		%	elemento uguale a "k". Se non c' procedi alla sostituzione ...
		if isempty(cerca)
			somma=0;
			for i= 1:Nbordo
				g=bordo(i);
				somma=somma+KK(k,g)*Ue(g);
				KK(k,g)=0;
			end
			B(k)=-somma; 
		end		
	end
	 
%	risoluzione
	U=KK\B';
	for k=1: Nmax
%		fprintf(' U(%2.0f)=%8.4f  \n', k, U(k));
	end
% 	errore
 	sommaerroriquadri=0;
	for k=1:Nmax
% 		vediamo se l'equazione k-esima  relativa ad un nodo di bordo
		cerca=find(bordo == k); % cerca nell'array "bordo" se esiste un
		%	elemento uguale a "k". Se non c' procedi alla sostituzione ...
		if isempty(cerca)
 	 		Err(k)=U(k)-Ue(k);	
			sommaerroriquadri=sommaerroriquadri+Err(k)*Err(k);
% 			if abs(Err(k))>errmax ;
% 				errmax=abs(Err(k));
% 			end	
 %	 		fprintf(' err(%2.0f)=%20.17f  \n', k, Err(k));
		end		
   	end
	sommaerroriquadri=sommaerroriquadri/(Nmax-Nbordo);
	rms=sqrt(sommaerroriquadri);
	nn=log(s)/log(2)-1;
% 	fprintf(' p(%2.0f)=1/%2.0f;    rms(%2.0f)=%20.17f;  \n', nn,s,nn, rms);
% W=KK-KK';
	 % toc
 %===========================================
