 function [Dz, Dpz] = f_gravita(t,z,v,tau,sigma,m,h);
  
  % per l'equazione dei moti gravi mx''(t) = -mg
  % scritta cosi':  	x'(t)=F[ t, x(t) ,  v(t) ] 		x'(t)= v(t)
  %    			v'(t)=G[ t, x(t) ,  v(t) ]		v'(t) = -g

 % concentra la gravita' in intervalli sigma<tau
 % aumentando la "g" di tau/sigma
 
 	Dz = v*h;
	
 	r= t-fix(t/tau)*tau ;
	if (r < sigma/2) | (r > tau-sigma/2)
		Dpz = - m*9.81*tau/sigma*h;
	else
		Dpz = 0;
	end
	
