% 
% PROGRAMMA spiega (illustrazione metodo delle celle)
%
%	-------------------------------------------------------------- 
% funzione: f_lico			creato: 04/10/1998		modificato: 
%	-------------------------------------------------------------- 
%
% parti del file:	definizione procedura;
%						tracciamento LInea COntinua.
%
%	-------------------------------------------------------------- 
%	-------------------------------------------------------------- 
% 	viene chiamata da: f_02a 
% 	           chiama: <>
%	-------------------------------------------------------------- 
%	-------------------------------------------------------------- 
% tracciamento linea continua temporizzata orizzontale o verticale
% ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
%
%
% =====definizione procedura=====
%
	% definizione funzione
   function f_lico(xi,yi,xf,yf,colore,spessore,tempo,incremento);
   % dichiarazione variabili globali
   global MCV MVT MNV f12a f14a  f18a  f25a csp rMCV  rMVT
   global np numpag aa pbspi1 pbspi2 espi1 stpi1
%
% =====tracciamento linea continua=====
%
	% -----analisi delle coordinate
   % caso della linea orizzontale
   if yi==yf
      % calcolo numero dei passi di tracciamento
      passi = (xf-xi)/incremento;
      % inizializzazione variabile incremento
      a2 = 0;
      % ciclo tracciamento 
      for a1=1:passi
         % tracciamento linea
         line([xi+a2 xi+a2+incremento],[yi yi],'linewidth',spessore,...
            'color',colore,'era','back');
         pause(tempo)
         % aggiornamento variabile incremento
         a2 = a2+incremento;
      end % del for a1=1:passi
   % caso della linea verticale
	else
      % calcolo numero dei passi di tracciamento
      passi = (yf-yi)/incremento;
      % inizializzazione variabile incremento
      a2 = 0;
      % ciclo tracciamento 
      for a1=1:passi
         % tracciamento linea
         line([xi xi],[yi+a2 yi+a2+incremento],'linewidth',spessore,...
            'color',colore,'era','back');
         pause(tempo)
         % aggiornamento variabile incremento
         a2 = a2+incremento;
      end % del for a1=1:passi
   end % del if yi==yf
   
