%---------------------------------------------------60-------
	function [N5, L4, n] = f_poly(p,k,N5,L4);
  
%------------------------------------------------------------
% Costruisce un poligonale per "easymesh"
% 	N5 = matrice dei nodi
% 	L4 = matrice dei lati
%	n =  numero dei vertici e dei lati
% Devo costruire una matrice dei vertici "N5" che ha:
% 	in prima colonna il numero del vertice
% 	in seconda colonna l'ascissa del vertice
% 	in terza colonna l'ordinata del vertice
% 	in quarta colonna la dimensione (?) dei lati dei triangoli
%	(noi lo porremo = 1 per tutti)
% 	in quinta colonna un marker a disposizione 
%	(noi lo porremo = 1 per tutti)
%
% 	Per "easymesh" la numerazione parte da zero	(anche "easy20" ?)
%-----------------------------------------------
	ki=k; % valore iniziale che serve per chiudere L4
 % Ciclo di tracciamento.
   	[x0,y0] = ginput(1) ; % Graphic INPUT  con il mouse
	x0 = round(x0/p)*p; 
	y0 = round(y0/p)*p;
	x0=abs(x0);  		% perche' ?
	y0=abs(y0);		% perche' ?
%	matrice dei nodi	
       	N5(k,1) = k-1;  	% 	in prima colonna il numero del vertice
	N5(k,2) = x0;   	% 	in seconda colonna l'ascissa del vertice
	N5(k,3) = y0;		% 	in terza colonna l'ordinata del vertice
	N5(k,4) = 1;  		% 	in quarta colonna la dimensione dei lati dei triangoli
					%	al momento tutti uguali ad 1 (sara' da rivedere)
	N5(k,5) = 1;		% 	in quinta colonna un marker a disposizione 	
%	matrice dei lati
   	L4(k,1) = N5(k,1);	% 	in prima colonna il numero del vertice ?
	L4(k,2) = N5(k,1);	% 	in seconda colonna il numero del vertice ?
	L4(k,3) = N5(k,1)+1;% 	in terza colonna il numero del vertice successivo 
	L4(k,4) = 1; 		% 	in quinta colonna un marker a disposizione 	    

 	% scrivi il numero del nodo in pagina grafica
 	% il comando 'era','back' serve per evitare il ritracciamento della figura
	g = num2str(k);
	text(x0,y0,[   g],'color','y','era','back')
	plot(x0,y0,'.','color','c','linewidth',4,'era','back');
	% Traccia una linea  
        line([x0 x0 ],[y0 y0],'color','c','era','back', 'linewidth',1);
   %	
	xi=x0;	yi=y0; 
	z=1;  % valore fasullo voluto dal "while"
 	while z==1 
	 	[x,y] = ginput(1); 
		x = round(x/p)*p;  y = round(y/p)*p; % griglia di passo "p"
		x=abs(x); y=abs(y);
		if abs(x-x0)<p & abs(y-y0)<p 
 			z=0;   % chiude la poligonale 
            		line([xi x ],[yi y],'color','c','era','back', 'linewidth',1);
			L4(k,3) = N5(ki,1);
		else
			k = k+1;
   			% fprintf ( 1,'coordinate: %g\t %g\t\n', x,y);
			% scrivi il numero in pagina grafica
			K=num2str(k);   % converte il numero in stringa
 			% il comando 'era','back' serve per evitare il ritracciamento della figura
			text(x,y,[' ' K],'color','y','era','back')
			h2 = plot(x,y,'.','color','c','linewidth',4,'era','back');
 			% Traccia una linea  
            		line([xi x ],[yi y],'color','c','era','back', 'linewidth',1);
     			N5(k,1) = k-1;  % <----- partenza da zero 
			N5(k,2) = x;   % ascissa vertice
			N5(k,3) = y;	% ordinata vertice  
			N5(k,4) = 1;   % dimensione dei lati dei triangoli
			N5(k,5) = 1;	% marker = 1 per tutti	
     			L4(k,1) = N5(k,1);   
			L4(k,2) = N5(k,1);
			L4(k,3) = N5(k,1)+1;
			L4(k,4) = 1;     
 
 			% poiche' il lato di ogni triangolino della mesh (che dovremo fare)
			% non puo' essere piu' piccolo del lato piu' corto 
			% della poligonale, calcoliamo il lato piu' corto.
			xi = x; yi = y;
		end;	 
	end % del while
	n = k; 
%---------------------------------------------- fine --------
 
