% 	calcola lo sferocentro del tetredro ABCD
	function [X]=f_sferocentro(A,B,C,D);
%  	Queste formula vengono dal pezzo "circosfera.tex"
 % 	cambio di notazione
	x1=A(1);		y1=A(2);		z1=A(3); 
	x2=B(1);		y2=B(2);		z2=B(3); 
	x3=C(1);		y3=C(2);		z3=C(3); 
	x4=D(1);		y4=D(2);		z4=D(3); 
%	sferocentro
	S=[ x2-x1    y2-y1    z2-z1 
		 x3-x2    y3-y2    z3-z2 
		 x4-x3    y4-y3   z4-z3]; 
% 	termini noti	(formula QR8 della "circosfera.tex")	
	p= (x2*x2-x1*x1)/2+(y2*y2-y1*y1)/2+(z2*z2-z1*z1)/2;
	q= (x3*x3-x2*x2)/2+(y3*y3-y2*y2)/2+(z3*z3-z2*z2)/2;
	r= (x4*x4-x3*x3)/2+(y4*y4-y3*y3)/2+(z4*z4-z3*z3)/2;
	N=[p  q  r]';
%	S X = N cABCD
	X=S\N ;
	
%	x=X(1); 	y=X(2); 	z=X(3); 
% 	d1=(x-x1)^2+(y-y1)^2+(z-z1)^2;
% 	d2=(x-x2)^2+(y-y2)^2+(z-z2)^2;
% 	d3=(x-x3)^2+(y-y3)^2+(z-z3)^2;
% 	d4=(x-x4)^2+(y-y4)^2+(z-z4)^2;
% 	fprintf('  %6.3f  %6.3f   %6.3f   %6.3f \n',d1,d2,d3,d4);  % OK	




