% 
% PROGRAMMA spiega (illustrazione metodo delle celle)
%
%	-------------------------------------------------------------- 
% funzione: f_sorg			creato: 03/09/1998		modificato: 09/09/1998
%	-------------------------------------------------------------- 
%
% parti del file:	definizione procedura;
%						tracciamento sorgente concetrata.
%
%	-------------------------------------------------------------- 
%	-------------------------------------------------------------- 
% 	viene chiamata da: f_13
% 	           chiama: <>
%	-------------------------------------------------------------- 
%	-------------------------------------------------------------- 
% tracciamento sorgente concentrata
% ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
%
%
% =====definizione procedura=====
%
	% definizione funzione
	function f_sorg(xTs, yTs, cfs)
   % dichiarazione variabili globali
   global MCV MVT MNV f12a f14a  f18a  f25a csp rMCV  rMVT
   global np numpag aa pbspi1 pbspi2 espi1 stpi1
%
% =====tracciamento sorgente=====
%
	% colore del disegno
	rame			= 	[1.00 0.62	0.40];
   col = rame;
   % coordinate segmento iniziale
   xi1 = 1*cfs+xTs;		yi1 = 5*cfs+yTs;
   xi2 = 1*cfs+xTs;		yi2 = 1*cfs+yTs;
   % tracciamento segmento iniziale
   line([xi1 xi2],[yi1 yi2],'era','back','color',col,'linewidth',2);
   % coordinate spira stilizzata
   x(1) = 1*cfs+xTs;			y(1) = 1*cfs+yTs;
   x(2) = 1.5*cfs+xTs;		y(2) = 1*cfs+yTs;
   x(3) = 1.5*cfs+xTs;		y(3) = 9*cfs+yTs;
   x(4) = 2.5*cfs+xTs;		y(4) = 9*cfs+yTs;
   x(5) = 2.5*cfs+xTs;		y(5) = 1*cfs+yTs;
   x(6) = 3*cfs+xTs;			y(6) = 1*cfs+yTs;
 	% passo della spira  
  	a3 = x(6)-x(1);
   % ciclo tracciamento (n=6) spire
   for a1=1:6
      % ciclo tracciamento di una spira
      for a2=1:5
         % tracciamento linee della spira
         line([x(a2) x(a2+1)],[y(a2) y(a2+1)],'era','back','color',col,'linewidth',2);
      end % del for a2=1:4
      % incremento valori ascisse vettore x
      x = x+a3;
   end % del for a1=1:8:24
   % coordinate segmento finale
   xf1 = x(6)-a3;				yf1 = y(6);
   xf2 = x(6)-a3;				yf2 = y(6)+4*cfs;
   % tracciamento segmento finale
   line([xf1 xf2],[yf1 yf2],'era','back','color',col,'linewidth',2);
   
