% 
% PROGRAMMA spiega (illustrazione metodo delle celle)
%
%	-------------------------------------------------------------- 
% funzione: f_tria			creato: 10/07/1998		modificato: 30/08/1998
%	-------------------------------------------------------------- 
%
% parti del file:	definizione procedura;
%						tracciamento triangolo.
%
%	-------------------------------------------------------------- 
%	-------------------------------------------------------------- 
% 	viene chiamata da: f_08, f_12a, f_13, f_15a, f_17, f_20, f_25, f_26, f_28, f_31, f_32
% 	           chiama: f_palla
%	-------------------------------------------------------------- 
%	-------------------------------------------------------------- 
% tracciamento triangoli e cerchi sui vertici
% ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
%
%
% =====definizione procedura=====
%
	% definizione funzione
	function f_tria(col1,col2,fs,xT,yT,a1,R)
   % dichiarazione variabili globali
   global MCV MVT MNV f12a f14a  f18a  f25a csp rMCV  rMVT
   global np numpag aa pbspi1 pbspi2 espi1 stpi1
%
% =====tracciamento triangolo=====
%
	% numero dei vertici di un triangolo
   h = MVT(a1,1); 	i = MVT(a1,2); 	j = MVT(a1,3);
   % trasformazione delle coordinate
   xh = MCV(h,1)*fs+xT;		xi = MCV(i,1)*fs+xT;	xj = MCV(j,1)*fs+xT;
   yh = MCV(h,2)*fs+yT;		yi = MCV(i,2)*fs+yT;	yj = MCV(j,2)*fs+yT;
   % tracciamento di un triangolo
   p(1) = line([xh xi],[yh yi], 'era','back');
	p(2) = line([xh xj],[yh yj], 'era','back');
   p(3) = line([xj xi],[yj yi] ,'era','back');
   % settaggio tracciamento linea
   set(p,'linewidth',2,'color',col1);
	% tracciamento di un cerchio su ogni vertice del triangolo
   f_palla(col2,xh,yh,R);
   f_palla(col2,xi,yi,R);
   f_palla(col2,xj,yj,R);
