 %======= INIZIO ================================================
 %                        funzione 1
 %        Le funzioni di libreria  (User's Guide 2-23)
 %---------------------------------------------------------------
 % In matematica, quando si scrive y=sin(x) si intende che
 % al NUMERO x si fa corrispondere il NUMERO y.
 % Poiche' in MATLAB x ed y sono matrici, in particolare
 % vettori e numeri, l'espressione  y=sin(x) 
 % ha il senso seguente: 
 % ad ogni COMPONENTE x(k)  (numero) del vettore x 
 % viene fatta corrispondere una COMPONENTE y(k)   (numero) 
 % del vettore y secondo la relazione y(k) = sin (x(k)).

		clear  % azzera le variabili in memoria
		clc	 % pulisce finestra comandi
 % Questo implica la scrittura
		disp('Esempio di tabulazione.')
		x = [ 0 :  0.5 :  4] ;
		y = sin(x) ;
 % La matrice 
		A = [x ; y]'
 % equivale ad una tabulazione.
 % Lo stesso vale per tutte le altre funzioni di libreria quali
 % cos(x), tan(x), abs(x), sqrt(x), exp(x), log(x), ecc.
 %============================================ FINE =============
 
