%====INIZIO==========================================
%                 matrice H
% Localizza la posizione degli elementi di una
% matrice che soddisfano una data condizione. 
%             (istruzione "find")
%----------------------------------------------------
% MATLAB  memorizza le matrici per colonne. 
% L'istruzione "find(M)"  trova gli indici di una  
% matrice i cui elementi sono diversi da zero.

 	clear  % elimina tutte le variabili in memoria
	clc    % pulisce la finestra dei comandi
 	disp(' Uso dell''struzione "find" ')
 	disp(' ==========================  ')
% Assegnata una matrice
	M = [ 0 6 8 ; -1  0 5 ; 5 -9 8 ] ;
 	disp('Assegnata una matrice M')
	disp(M)
 	disp('gli elementi non nulli sono:')
% vogliamo trovare gli elementi non nulli.
% Poich gli elementi della matrice sono memorizzati
% in un array unidimensionale (=vettore) 
% M(1), M(2), ...M(n)  sufficiente trovare
% gli indici k di questo vettore
% per i quali gli elementi M(k) sono diversi da zero.
% Questi indici sono, a loro volta, memorizzati in 
% un vettore
 	p = find (M);
 	disp('ottenuti con l''istruzione')
	disp('        p = find (M)' )
	disp(p)
	
	disp('---------------------> tasto');
	pause
% Cerca  gli indici della matrice per i quali 
% gli elementi della matrice  sono maggiori di 2
 	q = find (M > 2);
	disp('elementi maggiori di 2')
 	disp('ottenuti con l''istruzione')
 	disp(' 	    q = find (M > 2) ')
 	disp(q)
	
	disp('---------------------> tasto');
	pause
% Cerca  gli indici (del vettore) della matrice
% per i quali gli elementi della matrice sono  
% minori di zero
 	r = find (M < 0);
	disp('elementi negativi')
 	disp('ottenuti con l''istruzione')
 	disp(' 	     r = find (M < 0)')
 	disp(r)
	disp('---------------------> tasto');
	pause
	% dammi le righe che contengono l'elemento 5
 	disp('La matrice e'' ')
	disp(M)
 	ne=size(M,1);
	r = find (M==5); % vettore degli indici
	n=size(r,1);
	disp('ottenuti con l''istruzione  r = find (M==5)')

% 	Per sapere in quale riga si trova l'elemento
% 	si deve scrivere 
%	r=mod(pos,n) dice la riga con l'eccezzione del
%	caso in cui si trovi nell'ultima riga
%	in questo caso riga=ne.
	for h=1:n
		pos=r(h); 
		s=mod(pos,ne);
		if s==0
			riga=ne;
		else
			riga=s;
		end	
		fprintf('riga %g \n', riga)
	end		
	disp('============ fine ===========');
%====================================== FINE =========
